<?php

defined('BASEPATH') OR exit('No direct script access allowed');

require APPPATH.'controllers/General.php'; 

class Import extends General {

	function __construct(){

		parent::__construct();	
		$this->load->model('patients_model');
	}

	public function index()
	{
		$this->load->view("import",$this->data);
	}

	public function uploadData()
	{
		$count=0;
        $fp = fopen($_FILES['userfile']['tmp_name'],'r') or die("can't open file");
        while($csv_line = fgetcsv($fp))
        {
        	$count++;
        	if($count > 1){
        		$cmid = $csv_line[0];
        		$lastname = $csv_line[1];
        		$firstname = $csv_line[2];
        		$middlename = $csv_line[3];
        		$dob = $csv_line[4];
        		$gender = strtolower($csv_line[5]);
        		$home_address = $csv_line[6];
        		$city = $csv_line[7];
        		$province = $csv_line[8];
        		$postal_code = $csv_line[9];
        		$shipping_address = $csv_line[10];
        		$shipping_city = $csv_line[11];
        		$shipping_province = $csv_line[12];
        		$shipping_postal_code = $csv_line[13];
        		$email_address = $csv_line[14];
        		$phone_number = $csv_line[15];
        		$referral_source = $csv_line[16];
        		$referral_other = $csv_line[17];

        		$gender = ucfirst($gender);

        		if(empty($cmid) OR !isset($cmid)) {
        			$cmid = General::getCMIDImport() + 1;
        			$this->patients_model->updateCMIDImport($cmid);
        		} 
        		

        		$this->data = array(
					'cmid'						=>		$cmid,
					'lastname'					=>		$lastname,
					'middlename'				=>		$middlename,
					'firstname'					=>		$firstname,
					'dob'						=>		date('Y-m-d',strtotime($dob)),
					'gender'					=>		$gender,
					'home_address'				=>		$home_address,
					'city'						=>		$city,
					'province'					=>		$province,
					'postal_code'				=>		$postal_code,
					'shipping_address'			=>		$shipping_address,
					'shipping_city'				=>		$shipping_city,
					'shipping_province'			=>		$shipping_province,
					'shipping_postal_code'		=>		$shipping_postal_code,
					'email_address'				=>		$email_address,
					'phone_number'				=>		$phone_number,
					'referral_source'			=>		$referral_source,
					'referral_other'			=>		$referral_other
				);	
				$this->db->insert("patients",$this->data);
				$result = $this->db->affected_rows();
				if($result){
					echo $count.' - Patients has been added '.$lastname.' - '.$cmid.'<br />';
				} else {
					echo $count.' - Error in Patients '.$lastname.'<br />';
				}

        	}
        }
        fclose($fp) or die("can't close file");
        $data['success']="success";
        return $data;
	}

}
