<?php 

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require APPPATH.'controllers/General.php'; 


class Logout extends General{

	function __construct()
	{
		parent::__construct();	
		$this->load->model('login_model');
		$this->load->model('user_model');
	}

	public function index() 
	{
		$tokenID = '';
		$sessionID = '';

		// Update sessionID and tokenID
		$this->login_model->updateToken($tokenID, $sessionID);

		// Record activity log
		$log = General::getFullName() . ' has been Logout.';
		General::log('LOGOUT', 'LOGOUT', $log);

		// Unset all session menus variables
		$this->session->unset_userdata(array(
                'user_id'          	=>      '',
                'username'      	=>      '',
                'isLoggedIN'      		=>      FALSE,
                'group_id'      		=>      ''
        ));
        $this->session->sess_destroy();    

		redirect(base_url());
	}


}