<?php

defined('BASEPATH') OR exit('No direct script access allowed');

require APPPATH.'controllers/General.php'; 

class Page_error extends General {


	function __construct() {
		parent::__construct();	

		if(General::isLoggedIN() === FALSE OR General::validateToken() === FALSE){
            redirect(base_url());    
        }
	}

	public function code($error_code)
	{
		if($error_code == 401) {
			$this->data['page_title'] = $this->lang->line('page_error_401_title');
			$this->data['page_sub_title'] = $this->lang->line('page_error_401_subtitle');
			$this->data['page_error_code'] = 401;
			$this->data['page_error_msg'] = $this->lang->line('page_error_401_msg');
			$this->data['css'] = $this->assets_resources->getAssets('page_error_asset')['index']['css'];
			$this->data['js'] = $this->assets_resources->getAssets('page_error_asset')['index']['js'];
			$this->data['jsextend'] = $this->assets_resources->getAssets('page_error_asset')['index']['jsextend'];
			$this->data['file'] = $this->assets_resources->getAssets('page_error_asset')['index']['file'];
		}
		
		$this->load->view("page", $this->data);
	}


	
}
