<?php

class Manage_bulletin_asset {

	public static function masterAsset()
	{
		$data = array(
			'index'		=>	self::indexAsset(),
			'add'		=>	self::addAsset()
		);

		return $data;
	}

	private static function indexAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/datatables/datatables.min.css'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css'),
								base_url('public/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css'),
								base_url('public/assets/plugins/select2/css/select2.min.css'),
								base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/js/datatable.js'),
								base_url('public/assets/plugins/datatables/datatables.min.js'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js'),
								base_url('public/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/plugins/select2/js/select2.full.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/table-datatables-ajax.min.js'),
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/components-select2.min.js')
							),
			'file'		=>	'/bulletin_board/index.php'
		);

		return $assetsArr;
	}

	private static function addAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.css'),
								base_url('public/assets/plugins/icheck/skins/all.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/plugins/select2/js/select2.full.min.js'),
								base_url('public/assets/plugins/bootstrap-wysihtml5/wysihtml5-0.3.0.js'),
								base_url('public/assets/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.js'),
								base_url('public/assets/plugins/icheck/icheck.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/plugins/bootstrap-wysihtml5/wysihtml5-0.3.0.js'),
								base_url('public/assets/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.js'),
								base_url('public/assets/js/components-editors.min.js'),
								base_url('public/assets/js/app/formsubmit.js')
							),
			'file'		=>	'/bulletin_board/add.php'
		);

		return $assetsArr;
	}

}