<?php

class Manage_group_asset {

	public static function masterAsset()
	{
		$data = array(
			'index'		=>	self::indexAsset(),
			'add'		=>	self::addAsset()
		);

		return $data;
	}

	private static function indexAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/datatables/datatables.min.css'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css'),
								base_url('public/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/js/datatable.js'),
								base_url('public/assets/plugins/datatables/datatables.min.js'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js'),
								base_url('public/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/table-datatables-ajax.min.js'),
								base_url('public/assets/js/ui-bootbox.min.js')
							),
			'file'		=>	'/manage_group/index.php'
		);

		return $assetsArr;
	}

	private static function addAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/app/formsubmit.js')
							),
			'file'		=>	'/manage_group/add.php'
		);

		return $assetsArr;
	}

}