<?php

class Manage_users_asset {

	public static function masterAsset()
	{
		$data = array(
			'index'		=>	self::indexAsset(),
			'add'		=>	self::addAsset(),
			'view'		=>	self::viewAsset()
		);

		return $data;
	}

	private static function indexAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/datatables/datatables.min.css'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css'),
								base_url('public/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css'),
								base_url('public/assets/plugins/select2/css/select2.min.css'),
								base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/js/datatable.js'),
								base_url('public/assets/plugins/datatables/datatables.min.js'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js'),
								base_url('public/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/plugins/select2/js/select2.full.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/table-datatables-ajax.min.js'),
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/components-select2.min.js')
							),
			'file'		=>	'/manage_users/index.php'
		);

		return $assetsArr;
	}

	private static function addAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/select2/css/select2.min.css'),
								base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/plugins/select2/js/select2.full.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/app/formsubmit.js'),
								base_url('public/assets/js/components-select2.min.js')
							),
			'file'		=>	'/manage_users/add.php'
		);

		return $assetsArr;
	}

	private static function viewAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/select2/css/select2.min.css'),
								base_url('public/assets/plugins/datatables/datatables.min.css'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css'),
								base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/js/datatable.js'),
								base_url('public/assets/plugins/datatables/datatables.min.js'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/table-datatables-managed.min.js'),
							),
			'file'		=>	'/manage_users/view.php'
		);

		return $assetsArr;
	}

}