<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
            <div class="col-md-12 ">
                <!-- BEGIN PROFILE SIDEBAR -->
                <div class="profile-sidebar">
                    <!-- PORTLET MAIN -->
                    <div class="portlet light profile-sidebar-portlet ">
                        <!-- SIDEBAR USERPIC -->
                        <div class="profile-userpic">
                            <img src="<?=base_url('public/images/users/' . $pic)?>" class="img-responsive" alt=""> </div>
                        <!-- END SIDEBAR USERPIC -->
                        <!-- SIDEBAR USER TITLE -->
                        <div class="profile-usertitle">
                            <div class="profile-usertitle-name"> <?=$userDetails->firstname.' '.$userDetails->lastname?> </div>
                            <div class="profile-usertitle-job"> <?=$userDetails->designation_name?> </div>
                        </div>
                        <!-- END SIDEBAR USER TITLE -->
                        <!-- SIDEBAR MENU -->
                        <div class="profile-usermenu">
                            <ul class="nav">
                                <li class="active">
                                    <a href="<?=base_url('account/settings')?>"><i class="icon-settings"></i> Account Settings </a>
                                </li>
                                <li>
                                    <a href="<?=base_url('logout')?>"><i class="icon-key"></i> Logout </a>
                                </li>
                            </ul>
                        </div>
                        <!-- END MENU -->
                    </div>
                    <!-- END PORTLET MAIN -->
                </div>
                <!-- END BEGIN PROFILE SIDEBAR -->
                <!-- BEGIN PROFILE CONTENT -->
                <div class="profile-content">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="portlet light ">
                                <div class="portlet-title tabbable-line">
                                    <div class="caption caption-md">
                                        <i class="icon-globe theme-font hide"></i>
                                        <span class="caption-subject font-green-jungle bold uppercase">Profile Account</span>
                                    </div>
                                    <ul class="nav nav-tabs">
                                        <li class="active">
                                            <a href="#tab_1_1" data-toggle="tab">Personal Info</a>
                                        </li>
                                        <li>
                                            <a href="#tab_1_2" data-toggle="tab">Change Avatar</a>
                                        </li>
                                        <li>
                                            <a href="#tab_1_3" data-toggle="tab">Change Password</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="portlet-body">
                                    <div class="tab-content">
                                        <div class="tab-pane active" id="tab_1_1">
                                            <form role="form" action="<?=base_url('account/save_profile')?>" id="frmProfile">
                                                <div class="message"></div>
                                                <div class="form-group">
                                                    <label class="control-label">First Name</label>
                                                    <input type="text" name="firstname" class="form-control" value="<?=$userDetails->firstname?>" required/> </div>
                                                <div class="form-group">
                                                    <label class="control-label">Last Name</label>
                                                    <input type="text" name="lastname" class="form-control" value="<?=$userDetails->lastname?>" required/> </div>
                                                <div class="form-group">
                                                    <label class="control-label">Contact No.</label>
                                                    <input type="text" name="phone" class="form-control" value="<?=$userDetails->phone?>" /> </div>
                                                <div class="form-group">
                                                    <label class="control-label">Username</label>
                                                    <input type="text" name="username" class="form-control" value="<?=$userDetails->username?>" required/> </div>
                                                <div class="form-group">
                                                    <label class="control-label">Email Address</label>
                                                    <input type="email" name="email" class="form-control" value="<?=$userDetails->email?>" required/> </div>

                                                <div class="margiv-top-10">
                                                    <button type="submit" class="btn green-jungle" id="btnprofilesave"> Save Changes </button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="tab-pane" id="tab_1_2">
                                            <?php 
                                            if($userDetails->profile_picture == ""){
                                                $picUpload = 'http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image';
                                            } else {
                                                $picUpload = base_url('public/images/users/' . $userDetails->profile_picture);
                                            }
                                            ?>
                                            <form action="<?=base_url('account/upload_picture')?>" id="frmUploadPic" enctype="multipart/form-data" method="post">
                                                <div class="msg_upload"></div>
                                                <div class="form-group">
                                                    <div class="fileinput fileinput-new" data-provides="fileinput">
                                                        <div class="fileinput-new thumbnail" style="width: 200px; height: 150px;">
                                                            <img src="<?=$picUpload?>" /> </div>
                                                        <div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 200px; max-height: 150px;"> </div>
                                                        <div>
                                                            <span class="btn default btn-file">
                                                                <span class="fileinput-new"> Select image </span>
                                                                <span class="fileinput-exists"> Change </span>
                                                                <input type="file" name="profile_picture"> </span>
                                                            <a href="javascript:;" class="btn default fileinput-exists" data-dismiss="fileinput"> Remove </a>
                                                        </div>
                                                    </div>
                                                    <div class="clearfix margin-top-10">
                                                        <span class="label label-danger">NOTE! </span>
                                                        <span>Accepts JPG, JPEG, and PNG. Max 2MB of filesize.</span>
                                                    </div>
                                                </div>
                                                <div class="margin-top-10">
                                                    <button type="submit" class="btn green-jungle" id="btnprofileupload"> Upload </button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="tab-pane" id="tab_1_3">
                                            <form action="<?=base_url('account/change_password')?>" id="frmpwd" >
                                                <div class="msg_pwd"></div>
                                                <div class="form-group">
                                                    <label class="control-label">Current Password</label>
                                                    <input type="password" class="form-control" name="current_password" /> </div>
                                                <div class="form-group">
                                                    <label class="control-label">New Password</label>
                                                    <input type="password" class="form-control" name="new_password" /> </div>
                                                <div class="form-group">
                                                    <label class="control-label">Re-type New Password</label>
                                                    <input type="password" class="form-control" name="retype_password" /> </div>
                                                <div class="margin-top-10">
                                                    <button type="submit" class="btn green-jungle" id="btnchangepwd"> Change Password </button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>