<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                </li>
            </ul>
            <div class="page-toolbar">
                
            </div>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
            <div class="col-md-12 col-sm-12">
              <form role="form" method="post" class="form-horizontal" action="<?=base_url('expiry_report/print_report')?>" target="_blank">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$page_sub_title?></span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                      <div class="form-body">
                            <div class="form-group">
                                <label class="col-md-2 control-label" for="defaultrange">Future Date</label>
                                <div class="col-md-4">
                                      <div id="future_date" class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd" data-date-start-date="+0d">
                                            <input type="text" class="form-control" readonly name="future_date" value="<?=date('Y-m-d')?>" >
                                            <span class="input-group-btn">
                                                <button class="btn default" type="button">
                                                    <i class="fa fa-calendar"></i>
                                                </button>
                                            </span>
                                        </div>
                                      <div class='help-block'>Medical expiry valid until future date selected.</div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label" for="printOption">Report Format</label>
                                <div class="col-md-4">
                                    <select class="form-control" name="printOption" id="printOption" onchange="setOrientation(this.value)">
                                        <option value="web_print">Web Print</option>
                                        <option value="export_excel">Export to Excel</option>
                                        <option value="export_csv">Export to CSV</option>
                                        <option value="export_pdf">Export to PDF</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group" id="pdfOrientationRow" style="display:none">
                              <label class="col-md-2 control-label">PDF Orientation</label>
                              <div class="col-md-4">
                                <select class="form-control " name="pdfOrientation" id="pdfOrientation">
                                  <option value="portrait">Portrait</option>
                                  <option value="landscape">Landscape</option>
                                </select>
                              </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label"></label>
                                <div class="col-md-4">
                                    <button class="btn blue-madison" type="submit">View Report</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
              </form>
            </div>
        </div>






        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>

<script>
function setOrientation(val)
{
  if(val == "export_pdf")
  {
    $('#pdfOrientationRow').css('display','block');
  }
  else
  {
    $('#pdfOrientationRow').css('display','none');
  }
}
</script>