<html>
<head>
	<title><?php echo $page_title;?></title>
<style type="text/css">
<?php if($print){?>
.headerTitle {font-family: Arial, Helvetica, sans-serif;padding-top: 5px;padding-bottom: 20px;}
.headerLogo{}
.headerReportTitle{font-family: Arial, Helvetica, sans-serif;margin-bottom: 20px;float: left;}
#tblList table {border-collapse: separate;border-spacing: 0;}
table#tblList th,table#tblList td {padding: 5px 5px;font-family: Arial, Helvetica, sans-serif;font-size: 12px;}
#tblList thead {background: #395870;color: #fff;}
#tblList tbody tr:nth-child(even) {background: #f0f0f2;}
#tblList td {border-bottom: 1px solid #cecfd5;border-right: 1px solid #cecfd5;}
#tblList td:first-child {border-left: 1px solid #cecfd5;}
table.tblHeader {top-margin:15px; border:1px solid #CCC; border-collapse: collapse; margin-bottom: 25px;}
table.tblHeader th,table.tblHeader td {padding: 5px 5px !important;font-family: Arial, Helvetica, sans-serif;font-size: 12px;}
.daterpt{float: right;font-family: Arial, Helvetica, sans-serif;}
.preparedBy{float: right; margin-top: 25px;}
</style>
<?php }else {?>
<style type="text/css">
.headerTitle {font-family: Arial, Helvetica, sans-serif;padding-top: 5px;font-size: 8px;}
.headerLogo{}
.headerReportTitle{font-family: Arial, Helvetica, sans-serif;margin-bottom: 20px;float: left;font-size: 10px;}
#tblList table {border-collapse: separate;border-spacing: 0;}
table#tblList th,table#tblList td {padding: 4px 4px;font-family: Arial, Helvetica, sans-serif;font-size: 10px;}
#tblList thead {background: #395870;color: #fff;}
#tblList tbody tr:nth-child(even) {background: #f0f0f2;}
#tblList td {border-bottom: 1px solid #cecfd5;border-right: 1px solid #cecfd5;}
#tblList td:first-child {border-left: 1px solid #cecfd5;}
table.tblHeader {top-margin:15px; border:1px solid #CCC; border-collapse: collapse; margin-bottom: 25px;}
table.tblHeader th,table.tblHeader td {padding: 5px 5px !important;font-family: Arial, Helvetica, sans-serif;font-size: 10px;}
.daterpt{float: right;font-family: Arial, Helvetica, sans-serif;}
.preparedBy{float: right; margin-top: 25px;font-size: 10px;}
.tblpdf{font-size: 10px; margin-top: 20px;}
</style>
<?php }?>
<?php if($print){?>
<style type="text/css">
@media print
{    
    #printLink
    {
        display: none !important;
    }
}	
</style>
<?php }?>
</head>
<body>
<center>
	<div class="headerLogo"><img src="<?php echo base_url('public/images/' . $companyInfo->company_logo)?>" alt="<?=$companyInfo->company_name?>" style="width:100px !important;"/></div>
	<div class="headerTitle"><?=$companyInfo->company_name.'<br />'.$companyInfo->company_address?><br /><?=$page_title?></div>
</center>

<?php if($rsDetails){?>
<table cellpadding="2" cellspacing="2" style="top-margin:15px" id="tblList" width="100%">
	<thead>
		<tr style="border-bottom: 1px solid #000 !important;">
			<?php foreach($columns as $col){
				echo '<td>'.$col.'</td>';
			}?>
		</tr>
	</thead>
	<tbody>
		<?php 
		foreach($rsDetails as $rs){
			echo "<tr>";
			for($countFields = 0; $countFields <= count($fields) - 1; $countFields++){
				if($fields[$countFields] == 'nStatus') {
					$valField = ($rs->$fields[$countFields]) ? 'Active' : '<span style="color:red">InActive</span>';
				} else {
					$valField = $rs->$fields[$countFields];
				}
				echo '<td>'.$valField.'</td>';
			}
			echo "</tr>";
		}?>
	</tbody>
</table>
<?php 
} else {
echo "No data found.";
} ?>
<?php if($print){?>
<center><a href="javascript:print()" id="printLink">Print</a></center>
<?php }?>
</body>
</html>