<form role="form" method="post" class="addProductTrans form-horizontal" action="<?=base_url('general/addProductTransSave')?>">
<div class="modal-dialog modal-lg">
	<div class="modal-content">
		<div class="modal-header">
			<h4 class="modal-title"><?=ucfirst($form_title)?></h4>
		</div>
		<div class="modal-body">
			<div class="row">
                <div class="col-md-12">
                <table class="table table-striped table-bordered table-hover" id="sample_2">
                    <thead>
                        <tr>
                            <td><?=$this->lang->line('manage_prod_name')?></td>
                            <td><?=$this->lang->line('manage_prod_partnum')?></td>
                            <td><?=$this->lang->line('manage_prod_supplier')?></td>
                            <td><?=$this->lang->line('manage_prod_prodCategory')?></td>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                        foreach($rsProduct as $rsProd){?>
                        <tr>
                            <td><label class="mt-checkbox mt-checkbox-outline"> <?=$rsProd->product_name?><input type="checkbox" value="<?=$rsProd->product_id?>" name="item_id[]" /><span></span></label></td>
                            <td><?=$rsProd->part_number?></td>
                            <td><?=$rsProd->supplier_name?></td>
                            <td><?=$rsProd->productCategory?></td>
                        </tr>
                        <?php }?>
                    </tbody>
                </table>
                </div>
            </div>
		</div>
		<div class="modal-footer">
			<button type="submit" class="btn blue-madison btnsubmit_modal"><i class="fa fa-plus"></i> <?=$this->lang->line('add')?></button>
			<button type="button" data-dismiss="modal" class="btn default"><i class="fa fa-times"></i><?=$this->lang->line('cancel')?> </button>
		</div>
	</div>
</div>
</form>
<script src="<?=base_url('public/assets/js/table-datatables-managed.min.js')?>" type="text/javascript"></script>
<script>
jQuery(document).ready(function() {
    $('.addProductTrans').on('submit', function(e){
    	e.preventDefault();

        var checkboxs = document.getElementsByName("item_id[]");
        var isCheck = false;
        for(var i = 0, l = checkboxs.length; i < l; i++) {
            if(checkboxs[i].checked) {
                isCheck=true;
                break;
            }
        }

        if(isCheck) {
            var formdata = $(this).serialize();
            var url = $(this).attr('action');
            $.ajax({
                url: url,
                data: formdata,
                type: 'POST',
                success: function(data) {
                    toastr.clear();
                    $('#lblnoprod').addClass('hide');
                    $('#tblprod').removeClass('hide');
                    $('#responsive').modal('hide');
                    count = 0;
                    $.each(data.items, function(i, item) {
                        count++;
                        product_id      =   data.items[i].product_id;
                        product_name    =   data.items[i].product_name;
                        product_desc    =   data.items[i].product_desc;
                        regular_price   =   data.items[i].regular_price;
                        stock_on_hand   =   data.items[i].stock_on_hand;
                        quantity        =   1;
                        discount        =   0;
                        net_total       =   0;
                        tax             =   0;
                        var tbl = document.getElementById('tblprod').getElementsByTagName('thead');
                        var lastRow = tbl.length;
                        var ins = document.getElementById('tblprod').insertRow(-1);
                        var a = ins.insertCell(0);
                        var b = ins.insertCell(1);
                        var c = ins.insertCell(2);
                        var d = ins.insertCell(3);
                        var e = ins.insertCell(4);
                        a.innerHTML = "<input type=\"hidden\" class=\"form-control\" value=\""+ product_id + "\" name=\"product_id[]\" id=\"product_id" + product_id + "\"><span style='font-weight:bold; padding-bottom:200px;'>" + product_name + "</span><br />" + product_desc;
                        b.innerHTML = "<input type=\"number\" onchange=\"countNet(" + count + ")\" onkeyup=\"countNet(" + count + ")\" class=\"form-control requiredFields\" style=\"width:100% !important;\" value=\""+ quantity + "\" min=\"0\" name=\"quantity[]\" id=\"quantity" + count + "\">";
                        c.innerHTML = "<input type=\"hidden\" name=\"discount_value[]\" id=\"discount_value" + count + "\" value=\"0\"><input type=\"hidden\" name=\"discount_type[]\" id=\"discount_type" + count + "\" value=\"zero\"><div class=\"form-group\"><label class=\"col-md-3 control-label\">Price:</label><div class=\"col-md-9\"><div class=\"input-group\" style=\"margin-left:20px;\"><span class=\"input-group-addon\"><?=$currency?></span><input type=\"number\" onchange=\"countNet(" + count + ")\" onkeyup=\"countNet(" + count + ")\" class=\"form-control requiredFields\" style=\"width:100% !important;\" value=\""+ regular_price + "\" min=\"0\"  name=\"regular_price[]\" id=\"regular_price" + count + "\"></div></div></div><div class=\"form-group\"><label class=\"col-md-3 control-label\">Discount (<span id=\"discount_label"+count+"\">0</span>):</label><div class=\"col-md-9\"><div class=\"input-group\"><input type=\"text\" readonly=\"true\" class=\"form-control requiredFields\" style=\"width:100% !important; margin-left:20px;\" value=\""+ discount + "\" min=\"0\"  name=\"discount[]\" id=\"discount" + count + "\" disabled> <span class=\"input-group-btn\"><button class=\"btn btn-default btn-sm\" type=\"button\" onClick=\"setDiscount('"+count+"')\"><i class=\"fa fa-ellipsis-h\" /></i></button></span></div></div></div><div class=\"form-group\"><label class=\"col-md-3 control-label\">Tax :</label><div class=\"col-md-9\"><div class=\"input-group\"><input type=\"text\" readonly=\"true\" disabled class=\"form-control requiredFields\" style=\"width:100% !important; margin-left:20px;\" name=\"tax[]\" id=\"tax" + count + "\" value=\""+ tax + "\"> <span class=\"input-group-btn\"><button class=\"btn btn-default btn-sm\" type=\"button\" onClick=\"setTax('"+count+"')\"><i class=\"fa fa-ellipsis-h\" /></i></button></span></div></div></div>";
                        d.innerHTML = "<div class=\"input-group\"><span class=\"input-group-addon\"><?=$currency?></span><input type=\"number\" onchange=\"countNet(" + count + ")\" onkeyup=\"countNet(" + count + ")\" class=\"form-control requiredFields\" style=\"width:100% !important;\" value=\""+ net_total + "\" min=\"0\"  name=\"net_total[]\" id=\"net_total" + count + "\"></div>";
                        e.innerHTML = "<button class='btn red btn-sm btn-icon-only' type='button' onClick=\"removeRow(this)\" ><i class='fa fa-trash-o'></i></button>";
                        c.style.whiteSpace = "nowrap";
                        countNet(count);
                    });
                }, beforeSend: function(){
                    toastNotification('Waiting', 'Please wait...', "info");
                }
            });
        } else {
            alert('Please select atleast 1 item.');
        }
    });
});

function removeRow(r) 
{
    var i = r.parentNode.parentNode.rowIndex;
    document.getElementById("tblprod").deleteRow(i);
    var newRows = document.getElementById('tblprod').getElementsByTagName("tr").length - 1;
    if(newRows == 0) {
        $('#lblnoprod').removeClass('hide');
        $('#tblprod').addClass('hide');
    }
}

function countNet(i)
{
    var quantity = $('#quantity' + i).val();
    var regular_price = $('#regular_price' + i).val();
    var discount = $('#discount' + i).val();

    var net = (parseInt(quantity) * parseFloat(regular_price).toFixed(2)) - parseFloat(discount).toFixed(2);
    net = (net < 0) ? 0 : net;
    $('#net_total' + i).val(parseFloat(net).toFixed(2));
}
</script>