<form role="form" method="post" class="form-horizontal" id="taxForm">
<input type="hidden" id="net_total" value="<?=$net_total?>">
<input type="hidden" id="row" value="<?=$row?>">
<div class="modal-dialog modal-lg">
	<div class="modal-content">
		<div class="modal-header">
			<h4 class="modal-title"><?=ucfirst($form_title)?></h4>
		</div>
		<div class="modal-body">
			<div class="row">
                <div class="col-md-12">
                    <?php if($rsTaxes){?>
                    <table class="table">
                        <?php 
                        $taxCount = 0;
                        foreach($rsTaxes as $rt){
                            $taxCount++;
                            $less_taxes = ($rt->tax_value/100 ) *  $net_total;
                        ?>
                        <tr>
                            <td><?=$rt->tax_name?></td>
                            <td>
                                <div class="input-group" style="margin-left:20px;">
                                    <input type="number" class="form-control requiredFields" style="width:100% !important;" name="tax_percentage[]" id="tax_percentage<?=$taxCount?>" min="0" max="100" value="<?=$rt->tax_value?>" step="0.001" onkeyup="computeLessTax(this.value,'<?=$taxCount?>')" onchange="computeLessTax(this.value,'<?=$taxCount?>')">
                                    <span class="input-group-addon">%</span>
                                </div>
                            </td>
                            <td>
                                <input type="text" class="form-control requiredFields" style="width:100% !important;" name="tax_value_set[]" id="tax_value_set<?=$taxCount?>" readonly="true" value="<?=number_format($less_taxes, 2)?>">
                            </td>
                        </tr>
                        <?php }?>
                    </table>
                    </div>
                    <?php } else {
                        echo "No taxes found.";
                    }?>
            </div>
		</div>
		<div class="modal-footer">
			<button type="submit" class="btn blue-madison btnsubmit_modal"><i class="fa fa-plus"></i> <?=$this->lang->line('save')?></button>
			<button type="button" data-dismiss="modal" class="btn default"><i class="fa fa-times"></i><?=$this->lang->line('cancel')?> </button>
		</div>
	</div>
</div>
</form>
<script>
function countNet(i)
{
    var quantity = $('#quantity' + i).val();
    var regular_price = $('#regular_price' + i).val();
    var discount = $('#discount' + i).val();

    var net = (parseInt(quantity) * parseFloat(regular_price).toFixed(2)) - parseFloat(discount).toFixed(2);
    net = (net < 0) ? 0 : net;
    $('#net_total' + i).val(parseFloat(net).toFixed(2));
}

function computeLessTax(val, row)
{
    var net_total = $('#net_total').val();
    netTax = (parseFloat(val) / 100) * parseFloat(net_total);
    $('#tax_value_set' + row).val(netTax);

}

$('#taxForm').on('submit', function(e){
    e.preventDefault();
    var base_url = $('#base_url').val();
    $.ajax({
        url: base_url + 'general/computeSubTax',
        type: 'post',
        dataType: 'json',
        success:function(data){
            console.log(data);
        }
    });
});
</script>