<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title><?php echo $system_title.' - '.$page_title?></title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="" name="description" />
        <meta content="" name="author" />
        
        <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<script>
     (adsbygoogle = window.adsbygoogle || []).push({
          google_ad_client: "ca-pub-3182624105910612",
          enable_page_level_ads: true
     });
</script>
        
        <!-- BEGIN GLOBAL MANDATORY STYLES -->
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>bootstrap-switch/css/bootstrap-switch.min.css" rel="stylesheet" type="text/css" />
        <!-- END GLOBAL MANDATORY STYLES -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        <link href="<?=base_url('public/assets/plugins/')?>select2/css/select2.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>select2/css/select2-bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL STYLES -->
        <link href="<?=base_url('public/assets/css/')?>components-md.min.css" rel="stylesheet" id="style_components" type="text/css" />
        <link href="<?=base_url('public/assets/css/')?>plugins-md.min.css" rel="stylesheet" type="text/css" />
        <!-- END THEME GLOBAL STYLES -->
        <!-- BEGIN PAGE LEVEL STYLES -->
        <link href="<?=base_url('public/assets/css/')?>login.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/css/')?>custom.css" rel="stylesheet" type="text/css" />
        <!-- END PAGE LEVEL STYLES -->
        <!-- BEGIN THEME LAYOUT STYLES -->
        <!-- END THEME LAYOUT STYLES -->
        <link rel="shortcut icon" href="<?=base_url('public/images/adclogo.png')?>" /> </head>
    <!-- END HEAD -->

    <body class=" login">
        <!-- BEGIN LOGO -->
        <div class="logo">
            <a href="<?=base_url()?>">
                <img src="<?=base_url('public/images/' . $companyInfo->company_logo)?>" alt="<?=$companyInfo->company_name?>" style="height:80px;" /> </a>
        </div>
        <!-- END LOGO -->
        <!-- BEGIN LOGIN -->
        <div class="content">
            <!-- BEGIN LOGIN FORM -->
            <form class="login-form" method="post" action="<?=base_url('login/validateLogin')?>">
                <?php if($session_active) {?>
                <a href="<?=base_url('logout')?>" class="forget-password">Login with another user ?</a>
                <?php }?>
                <center>
                <h3 class="form-title font-green-jungle" style="display:inline-block;">
                    <?=($session_active) ? 'Welcome Back!' : 'Please Login to Continue'; ?>
                </h3>
                </center>
                <div class="alert alert-danger display-hide">
                    <button class="close" data-close="alert"></button>
                    <span> <?=$this->lang->line('login_error_msg')?> </span>
                </div>
                <div class="message"></div>
                <?php 
                if($session_active) {
                    if($userDetails->profile_picture == ""){
                        $pic = 'default_avatar.jpg';
                    } else {
                        $pic = $userDetails->profile_picture;
                    }
                ?>
                <input type="hidden" name="username" value="<?=$userDetails->username?>" />
                <div>
                    <center>
                        <img src="<?=base_url('public/images/users/' . $pic)?>" class="img-responsive img-circle" style="height:100px !important;">
                        <div style="margin-top:20px; margin-bottom:20px; font-size:18px;"><?=ucfirst($userDetails->firstname).' '.ucfirst($userDetails->lastname)?></div>
                        
                    </center>
                </div>
                <?php }else{ ?>
                <div class="form-group">
                    <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
                    <label class="control-label visible-ie8 visible-ie9"><?=$this->lang->line('login_username')?></label>
                    <input class="form-control form-control-solid placeholder-no-fix" type="text" autocomplete="off" placeholder="<?=$this->lang->line('login_username')?>" name="username" <?=($session_active) ? '' : 'autofocus'; ?>/> 
                </div>
                <?php }?>
                <div class="form-group">
                    <label class="control-label visible-ie8 visible-ie9"><?=$this->lang->line('login_password')?></label>
                    <input class="form-control form-control-solid placeholder-no-fix" type="password" autocomplete="off" placeholder="<?=$this->lang->line('login_password')?>" name="password" <?=($session_active) ? 'autofocus' : ''; ?>/> </div>
                <div class="form-actions">
                    <button type="submit" class="btn green-jungle uppercase demo-loading-btn" data-loading-text="Logging in..." id="btn-login"><?=$this->lang->line('login_button')?></button>
                    <!-- <label class="rememberme check mt-checkbox mt-checkbox-outline">
                        <input type="checkbox" name="remember" value="1" />Remember
                        <span></span>
                    </label> -->
                    <a href="javascript:;" id="forget-password" class="forget-password"><?=$this->lang->line('login_forgot_password')?></a>
                </div>
            </form>
            <!-- END LOGIN FORM -->
            <!-- BEGIN FORGOT PASSWORD FORM -->
            <form class="forget-form" method="post" action="<?=base_url('login/validateEmailAddress')?>">
                <h3 class="font-green"><?=$this->lang->line('login_forgot_password')?></h3>
                <p> <?=$this->lang->line('login_forgot_password_err_msg')?> </p>
                <div class="forgotpwd-message"></div>
                <div class="form-group">
                	<label class="control-label visible-ie8 visible-ie9"><?=$this->lang->line('login_forgot_password_email')?></label>
                    <input class="form-control placeholder-no-fix" type="text" autocomplete="off" placeholder="<?=$this->lang->line('login_forgot_password_email')?>" name="email" /> 
                </div>
                <div class="form-actions">
                    <button type="button" id="back-btn" class="btn green btn-outline"><?=$this->lang->line('login_forgot_password_btn_back')?></button>
                    <button type="submit" class="btn green-jungle uppercase pull-right" id="btn-forgotpwd"><?=$this->lang->line('login_forgot_password_btn_submit')?></button>
                </div>
            </form>
            <!-- END FORGOT PASSWORD FORM -->
            
        </div>
        <div class="copyright"> <?=$footer_title?> </div>
        <!--[if lt IE 9]>
<script src="../public/assets/global/plugins/respond.min.js"></script>
<script src="../public/assets/global/plugins/excanvas.min.js"></script> 
<![endif]-->
        <!-- BEGIN CORE PLUGINS -->
        <script src="<?=base_url('public/assets/js/')?>jquery.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>js.cookie.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>jquery.blockui.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-switch/js/bootstrap-switch.min.js" type="text/javascript"></script>
        <!-- END CORE PLUGINS -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        <script src="<?=base_url('public/assets/plugins/')?>jquery-validation/js/jquery.validate.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>jquery-validation/js/additional-methods.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>select2/js/select2.full.min.js" type="text/javascript"></script>
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL SCRIPTS -->
        <script src="<?=base_url('public/assets/js/')?>app.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>general.js" type="text/javascript"></script>

        

        <!-- END THEME GLOBAL SCRIPTS -->
        <!-- BEGIN PAGE LEVEL SCRIPTS -->
        <script src="<?=base_url('public/assets/js/')?>login.min.js" type="text/javascript"></script>

        <!-- END PAGE LEVEL SCRIPTS -->
        <!-- BEGIN THEME LAYOUT SCRIPTS -->
        <!-- END THEME LAYOUT SCRIPTS -->
    </body>

</html>