<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form role="form" method="post" class="formaction form-horizontal" action="<?=base_url('manage_designation/add')?>">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$page_title?></span>
                        </div>
                        <div class="actions">
                        <button type="submit" class="btn blue-madison btnsubmit" name="btnsubmit"><i class="fa fa-plus"></i> <?=$this->lang->line('manage_designation_savebtn')?></button>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <div class="form-group">
                                <label class="col-md-2 control-label" for="designation_name"><?=$this->lang->line('manage_designation_lbldepartment')?></label>
                                <div class="col-md-6">
                                    <input type="text" class="form-control" id="designation_name" name="designation_name" required autofocus>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label" for="designation_desc"><?=$this->lang->line('manage_designation_lbldeptdesc')?></label>
                                <div class="col-md-6">
                                    <input type="text" class="form-control" id="designation_desc" name="designation_desc" placeholder="">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>