<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form role="form" method="post" class="formaction form-horizontal" action="<?=base_url('manage_patients/edit')?>">
                <input type="hidden" name="gender" value="<?=$rsDetails->gender?>">
                <input type="hidden" name="id" value="<?=$rsDetails->id?>">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-green-jungle hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase"><?=$this->lang->line('manage_users_personal')?></span>
                        </div>
                        <div class="actions">
                        <button type="submit" class="btn green-jungle btnsubmit" name="btnsubmit"><i class="fa fa-plus"></i> <?=$this->lang->line('manage_users_savebtn')?></button>
                        <a href="<?=base_url('manage_patients/view/' . $rsDetails->id)?>" class="btn green-jungle"><i class="fa fa-eye"></i> View Patient Details</a>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <span class="requiredField">*</span> = required fields
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="firstname">First Name <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="firstname" name="firstname" tabindex="1" required autofocus value="<?=$rsDetails->firstname?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="middlename">Middle Name </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="middlename" name="middlename" tabindex="2" value="<?=$rsDetails->middlename?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="lastname">Last Name <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="lastname" name="lastname" tabindex="2" required value="<?=$rsDetails->lastname?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="email_address">Home Address <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="home_address" name="home_address" rows="4"><?=$rsDetails->home_address?></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group hide">
                                        <label class="col-md-3 control-label" for="cmid">CMID </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="cmid" name="cmid" value="<?=$rsDetails->cmid?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="email_address">Email Address </label>
                                        <div class="col-md-9">
                                            <input type="email" class="form-control" id="email_address" name="email_address"  value="<?=$rsDetails->email_address?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="health_card_number">Health Card Number </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="health_card_number" name="health_card_number" value="<?=$rsDetails->health_card_number?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="dob">Date of Birth <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd">
                                                <input type="text" class="form-control" name="dob" value="<?=$rsDetails->dob?>">
                                                <span class="input-group-btn">
                                                    <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="phone_number">Last Men's Period <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="phone_number" name="phone_number" value="<?=$rsDetails->phone_number?>" required>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-green-jungle hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase">Gestational Age</span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="firstname">Estimated Date of Delivery </label>
                                    <div class="col-md-9">
                                        <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd">
                                            <input type="text" class="form-control" name="estimated_delivery_date" value="<?=$rsDetails->estimated_delivery_date?>">
                                            <span class="input-group-btn">
                                                <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="gestation_week_day">Gestation Today</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" id="gestation_week_day" name="gestation_week_day" placeholder="e.g. 8 weeks and 2 days" value="<?=$rsDetails->gestation_week_day?>">
                                        <span class="help-block">No. of Weeks Pregnant</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-green-jungle hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase">Notes</span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <textarea rows="6" class="form-control" id="notes" name="notes"><?=$rsDetails->notes?></textarea>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>
<script> 

function copyShipping(){
    $('#home_address').val($('#shipping_address').val());
    $('#city').val($('#shipping_city').val());
    $('#province').val($('#shipping_province').val());
    $('#postal_code').val($('#shipping_postal_code').val());
}

function copyHome(){
    $('#shipping_address').val($('#home_address').val());
    $('#shipping_city').val($('#city').val());
    $('#shipping_province').val($('#province').val());
    $('#shipping_postal_code').val($('#postal_code').val());
}

</script>