<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div class="btn-group pull-right hide">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Export
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="<?=base_url('export/print_page/print/patients')?>" target="_blank"><i class="fa fa-print"></i> <?=$this->lang->line('export_print')?></a>
                        </li>
                        <li>
                            <a href="<?=base_url('export/print_page/pdf/patients')?>" target="_blank"><i class="fa fa-file-pdf-o"></i> <?=$this->lang->line('export_pdf')?></a>
                        </li>
                        <li>
                            <a href="<?=base_url('export/print_page/excel/patients')?>" target="_blank"><i class="fa fa-file-excel-o"></i> <?=$this->lang->line('export_excel')?></a>
                        </li>
                        <li>
                            <a href="<?=base_url('export/print_page/csv/patients')?>" target="_blank"><i class="fa fa-file-excel-o"></i> <?=$this->lang->line('export_csv')?></a>
                        </li>

                    </ul>
                </div>
            </div>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase"><?=$page_title?></span>
                        </div>
                        <div class="actions">
                            <a href="javascript:;" class="btn btn-sm green search-db"><i class="fa fa-search"></i> <?=$this->lang->line('search')?></a>
                            <?php if(!$addPermission){?>
                            <a href="<?=base_url('manage_patients/add')?>" class="btn btn-sm green-jungle"><i class="fa fa-plus"></i> Add New Patient</a>
                            <?php }?>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="table-container">
                            <div class="table-actions-wrapper">
                                <span> </span>
                                <select class="table-group-action-input form-control input-inline input-small input-sm">
                                    <option value="">Select...</option>
                                    <option value="Delete" <?=($deletePermission) ? "hidden" : ""?>>Delete</option>
                                    <option value="DeActivate" <?=($deactivatePermission) ? "hidden" : ""?>>InActive</option>
                                    <option value="Activate" <?=($activatePermission) ? "hidden" : ""?>>Activate</option>
                                </select>
                                <button class="btn btn-sm green table-group-action-submit">
                                    <i class="fa fa-check"></i> Submit</button>
                            </div>
                            <table class="table table-striped table-bordered table-hover table-checkable" id="datatable_ajax">
                                <thead>
                                    <tr role="row" class="heading">
                                        <th width="2%">
                                            <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                                <input type="checkbox" class="group-checkable" data-set="#sample_2 .checkboxes" />
                                                <span></span>
                                            </label>
                                        </th>
                                        <th width="10%"> Patient Name </th>
                                        <th width="10%"> Date Created </th>
                                        <th width="10%"> Home Address </th>
                                        <th width="10%"> LMP </th>
                                        <th width="5%"> Actions </th>
                                    </tr>
                                    <tr role="row" class="filter filter-row" style="display:none;">
                                        <td></td>
                                        <td><input type="text" class="form-control form-filter input-sm" name="patient_name" id="patient_name_search"></td>
                                        <td><input type="hidden" class="form-control form-filter input-sm" name="dob"></td>
                                        <td><input type="hidden" class="form-control form-filter input-sm" name="address"></td>
                                        <td><input type="text" class="form-control form-filter input-sm" name="phone_number"></td>
                                        <td>
                                            <div class="margin-bottom-5">
                                                <button class="btn btn-sm green btn-outline filter-submit margin-bottom">
                                                    <i class="fa fa-search"></i> Search</button>
                                            </div>
                                            <button class="btn btn-sm red btn-outline filter-cancel">
                                                <i class="fa fa-times"></i> Reset</button>
                                            <button class="btn btn-sm red btn-outline filter-close">
                                                <i class="fa fa-times"></i> Close</button>
                                        </td>
                                    </tr>
                                </thead>
                                <tbody> </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>
