<form role="form" method="post" class="quickform form-horizontal" action="<?=base_url('general/save_new_quick')?>">
<input type="hidden" name="foreign_table" id="foreign_table" value="supplier_address">
<input type="hidden" name="foreign_fields" id="foreign_fields" value="supplier_id">
<div class="modal-dialog modal-lg">
	<div class="modal-content">
		<div class="modal-header">
			<h4 class="modal-title"><?=ucfirst($form_title)?></h4>
		</div>
		<div class="modal-body form">
			<div class="form-body">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
                            <label class="col-md-3 control-label" for="supplier_name"><?=$this->lang->line('manage_supplier_vendorname')?> <span class="requiredField">*</span> </label>
                            <div class="col-md-7">
                                <input type="text" class="form-control" id="supplier_name" name="supplier_information[supplier_name]" tabindex="100" required>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label" for="primary_email"><?=$this->lang->line('manage_supplier_primaryemail')?> <span class="requiredField">*</span> </label>
                            <div class="col-md-7">
                                <input type="email" class="form-control" id="primary_email" name="supplier_information[primary_email]" tabindex="101" required>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label" for="assigned_to"><?=$this->lang->line('manage_supplier_assignedTo')?> <span class="requiredField">*</span> </label>
                            <div class="col-md-7">
                                <select class="form-control select2" id="assigned_to" name="supplier_information[assigned_to]" required tabindex="103">
                                    <option value=""></option>
                                    <?php 
                                    if($userList) {
                                        foreach($userList as $user) {
                                            $selected = ($this->session->userdata('user_id') == $user->user_id) ? "selected" : "";
                                            echo "<option value='".$user->user_id."' ".$selected.">".$user->name."</option>";
                                        }
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<button type="submit" class="btn blue-madison btnsubmit_modal"><i class="fa fa-plus"></i> <?=$this->lang->line('save')?></button>
			<button type="button" data-dismiss="modal" class="btn default"><i class="fa fa-times"></i><?=$this->lang->line('cancel')?> </button>
		</div>
	</div>
</div>
</form>
<script>
jQuery(document).ready(function() {
    $('.quickform').on('submit', function(e){
    	e.preventDefault();
    	quickform.init(this);
    });
});
</script>