<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title><?php echo $system_title.' - '.$page_title?></title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="" name="description" />
        <meta content="" name="author" />
        
        <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<script>
     (adsbygoogle = window.adsbygoogle || []).push({
          google_ad_client: "ca-pub-3182624105910612",
          enable_page_level_ads: true
     });
</script>

        <!-- BEGIN GLOBAL MANDATORY STYLES -->
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>bootstrap-switch/css/bootstrap-switch.min.css" rel="stylesheet" type="text/css" />
        <!-- END GLOBAL MANDATORY STYLES -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        <link href="<?=base_url('public/assets/plugins/')?>select2/css/select2.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>select2/css/select2-bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL STYLES -->
        <link href="<?=base_url('public/assets/css/')?>components-md.min.css" rel="stylesheet" id="style_components" type="text/css" />
        <link href="<?=base_url('public/assets/css/')?>plugins-md.min.css" rel="stylesheet" type="text/css" />
        <!-- END THEME GLOBAL STYLES -->
        <!-- BEGIN PAGE LEVEL STYLES -->
         <link href="<?=base_url('public/assets/css/')?>login.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/css/')?>custom.css" rel="stylesheet" type="text/css" />
        <!-- END PAGE LEVEL STYLES -->
        <!-- BEGIN THEME LAYOUT STYLES -->
        <!-- END THEME LAYOUT STYLES -->
        <link rel="shortcut icon" href="<?=base_url('public/images/adclogo.png')?>" /> </head>
    <!-- END HEAD -->

    <body class=" login">
        <!-- BEGIN LOGO -->
        <div class="logo">
            <a href="index.html">
                <img src="<?=base_url('public/images/imgpsh_fullsize.png')?>" alt="<?=$system_title?>" style="height:200px !important;"/> </a>
        </div>
        <!-- END LOGO -->
        <!-- BEGIN LOGIN -->
        <div class="content">
            <!-- BEGIN LOGIN FORM -->
            <form class="reset-form" method="post" action="<?=base_url('login/resetpassword')?>">
            <input type="hidden" name="user_id" id="user_id" value="<?=$user_id?>">
            <input type="hidden" name="token" id="token" value="<?=$token?>">
            <input type="hidden" name="base_url" id="base_url" value="<?=base_url()?>">
                <h3 class="form-title font-green">Set New Password</h3>
                <div class="reset-message"></div>
                <div class="form-group">
                    <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
                    <label class="control-label visible-ie8 visible-ie9">New Password</label>
                    <input class="form-control form-control-solid placeholder-no-fix" type="password" autocomplete="off" placeholder="New Password" name="newpassword" /> </div>
                <div class="form-group">
                    <label class="control-label visible-ie8 visible-ie9">Confirm Password</label>
                    <input class="form-control form-control-solid placeholder-no-fix" type="password" autocomplete="off" placeholder="Confirm Password" name="confirmpassword" /> </div>
                <div class="form-actions">
                    <button type="submit" class="btn blue uppercase demo-loading-btn" data-loading-text="Resetting..." id="btn-reset">Set Password</button>
                </div>
            </form>
            <!-- END LOGIN FORM -->
            
        </div>
        <div class="copyright"> <?=$footer_title?> </div>
        <!--[if lt IE 9]>
<script src="../assets/global/plugins/respond.min.js"></script>
<script src="../assets/global/plugins/excanvas.min.js"></script> 
<![endif]-->
        <!-- BEGIN CORE PLUGINS -->
        <script src="<?=base_url('public/assets/js/')?>jquery.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>js.cookie.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>jquery.blockui.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-switch/js/bootstrap-switch.min.js" type="text/javascript"></script>
        <!-- END CORE PLUGINS -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        <script src="<?=base_url('public/assets/plugins/')?>jquery-validation/js/jquery.validate.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>jquery-validation/js/additional-methods.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>select2/js/select2.full.min.js" type="text/javascript"></script>
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL SCRIPTS -->
        <script src="<?=base_url('public/assets/js/')?>app.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>general.js" type="text/javascript"></script>

        <!-- END THEME GLOBAL SCRIPTS -->
        <!-- BEGIN PAGE LEVEL SCRIPTS -->
        <script src="<?=base_url('public/assets/js/')?>change_password.js" type="text/javascript"></script>

        <!-- END PAGE LEVEL SCRIPTS -->
        <!-- BEGIN THEME LAYOUT SCRIPTS -->
        <!-- END THEME LAYOUT SCRIPTS -->
    </body>

</html>