<?php
$rsDT = new DateTime();
$rsLog = $this->general_model->getUserTransactionLog($table, $field_id, $field_id_value);
?>
<div class="row">
    <div class="col-md-12">
        <h4><?=$this->lang->line('user_log')?></h4>
        <div class="table-responsive">
            <table class="table table-bordered">
                <tr>
                    <th class="active" style="width:20%"><?=$this->lang->line('created_by')?></th>
                    <td style="width:30%"><?=(!empty($rsLog->CreatedBy)) ? $rsLog->CreatedBy : "-"?></td>
                    <th class="active" style="width:20%"><?=$this->lang->line('modified_by')?></th>
                    <td style="width:30%"><?=(!empty($rsLog->ModifiedBy)) ? $rsLog->ModifiedBy : "-"?></td>
                </tr>
                <tr>
                    <th class="active" style="width:20%"><?=$this->lang->line('created_date')?></th>
                    <td style="width:30%"><?=(strtotime($rsLog->createdDateTime) > 0) ? date("M d, Y h:i:s A", strtotime($rsLog->createdDateTime)) : "-"?></td>
                    <th class="active" style="width:20%"><?=$this->lang->line('modified_date')?></th>
                    <td style="width:30%"><?=(strtotime($rsLog->modifiedDateTime) > 0) ? date("M d, Y h:i:s A", strtotime($rsLog->modifiedDateTime)) : "-"?></td>
                </tr>
            </table>
        </div>
    </div>
</div>