-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 24, 2024 at 05:18 AM
-- Server version: 10.4.25-MariaDB
-- PHP Version: 8.1.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `marcos_clinic`
--

-- --------------------------------------------------------

--
-- Table structure for table `activity_log`
--

CREATE TABLE `activity_log` (
  `log_id` bigint(20) NOT NULL,
  `user_id` int(11) NOT NULL,
  `module` varchar(50) NOT NULL,
  `event` varchar(25) NOT NULL,
  `ipaddress` varchar(25) NOT NULL,
  `log_description` text NOT NULL,
  `date` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `activity_log`
--

INSERT INTO `activity_log` (`log_id`, `user_id`, `module`, `event`, `ipaddress`, `log_description`, `date`) VALUES
(1, 1, 'MANAGE PATIENTS', 'INSERT', '127.0.0.1', 'New Patient: <strong>John Doe</strong> has been added by Jayson Sarino', '2023-05-05 22:43:51'),
(2, 1, 'LOGOUT', 'LOGOUT', '127.0.0.1', 'Jayson Sarino has been Logout.', '2023-05-05 22:44:49'),
(3, 1, 'LOGIN', 'LOGIN', '127.0.0.1', 'Jayson Sarino has been Login.', '2023-05-05 22:45:08'),
(4, 1, 'MANAGE PATIENTS', 'INSERT', '127.0.0.1', 'New Patient: <strong>Jane Doe</strong> has been added by Jayson Sarino', '2023-05-05 22:47:32'),
(5, 1, 'PATIENT RECORD', 'INSERT', '127.0.0.1', 'New Patient record has been saved by Jayson Sarino<br />Patient id: 2', '2023-05-05 22:48:35'),
(6, 1, 'APPOINTMENTS', 'INSERT', '127.0.0.1', 'New Appointment: with id#:<strong>1</strong> has been added by Jayson Sarino', '2023-05-05 22:49:09'),
(7, 1, 'PATIENTS REPORT', 'PRINT', '127.0.0.1', 'Patients report has been printed by Jayson Sarino', '2023-05-05 22:49:56'),
(8, 1, 'EXPIRY REPORT', 'PRINT', '127.0.0.1', 'Medical Expiry report has been printed by Jayson Sarino', '2023-05-05 22:50:08'),
(9, 1, 'PATIENTS APPOINTMENT REPORT', 'PRINT', '127.0.0.1', 'Patients appointment report has been printed by Jayson Sarino', '2023-05-05 22:50:12'),
(10, 1, 'LOGIN', 'LOGIN', '127.0.0.1', 'Jayson Sarino has been Login.', '2023-10-02 01:59:45'),
(11, 1, 'LOGIN', 'LOGIN', '127.0.0.1', 'Jayson Sarino has been Login.', '2024-02-12 03:13:42'),
(12, 1, 'LOGIN', 'LOGIN', '127.0.0.1', 'Jayson Sarino has been Login.', '2024-02-11 17:49:21'),
(13, 1, 'LOGIN', 'LOGIN', '127.0.0.1', 'Jayson Sarino has been Login.', '2024-02-14 03:46:41'),
(14, 1, 'LOGIN', 'LOGIN', '127.0.0.1', 'Jayson Sarino has been Login.', '2024-06-24 03:16:53');

-- --------------------------------------------------------

--
-- Table structure for table `appointment`
--

CREATE TABLE `appointment` (
  `id` int(11) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `duration` int(11) NOT NULL,
  `assgined_doctor` int(11) NOT NULL,
  `appointment_reason` text NOT NULL,
  `date_visit` datetime DEFAULT NULL,
  `appointment_status` int(11) DEFAULT 1 COMMENT '1-New; 2-Visited; 3-Cancelled',
  `appointment_type` varchar(50) NOT NULL COMMENT '1-Initial Consult; 2-Follow Up',
  `date_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0-InActive; 1-Active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `appointment`
--

INSERT INTO `appointment` (`id`, `patient_id`, `start_date`, `end_date`, `duration`, `assgined_doctor`, `appointment_reason`, `date_visit`, `appointment_status`, `appointment_type`, `date_created`, `nStatus`) VALUES
(1, 2, '2023-05-16 00:00:00', '0000-00-00 00:00:00', 0, 12, 'follow up checkup', NULL, 1, '2', '2023-05-05 22:49:09', 1);

-- --------------------------------------------------------

--
-- Table structure for table `boq`
--

CREATE TABLE `boq` (
  `boq_id` int(11) NOT NULL,
  `boq_number` varchar(50) NOT NULL,
  `project` int(11) NOT NULL,
  `subcontractor` int(11) NOT NULL,
  `subject` text NOT NULL,
  `location` text NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT current_timestamp(),
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NULL DEFAULT NULL ON UPDATE current_timestamp(),
  `modified_by` int(11) DEFAULT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0-InActive; 1-Ongoing; 2-Done'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `bulletin_board`
--

CREATE TABLE `bulletin_board` (
  `bulletin_id` int(11) NOT NULL,
  `subject` varchar(50) NOT NULL,
  `message` text NOT NULL,
  `dDateAdded` timestamp NOT NULL DEFAULT current_timestamp(),
  `addedByUserID` int(11) NOT NULL,
  `postToDashboard` tinyint(1) NOT NULL COMMENT '1 - post; 0 - not post',
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - active; 0 - inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bulletin_board`
--

INSERT INTO `bulletin_board` (`bulletin_id`, `subject`, `message`, `dDateAdded`, `addedByUserID`, `postToDashboard`, `nStatus`) VALUES
(1, 'Test Subject', 'Welcome to Marcos Clinic', '2018-01-14 01:36:45', 1, 1, 1),
(2, 'Test Subject 123', 'This is testing', '2018-03-15 10:32:22', 1, 0, 1),
(3, 'Happy New Year', 'Happy New Year Cannamed', '2019-01-26 04:57:49', 1, 1, 1),
(4, 'uhjhhhjjk', 'hjhlkh', '2022-02-10 13:41:17', 14, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `company_information`
--

CREATE TABLE `company_information` (
  `company_id` int(11) NOT NULL,
  `company_logo` varchar(100) NOT NULL,
  `company_name` varchar(100) NOT NULL,
  `company_address` text NOT NULL,
  `phone1` varchar(50) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `last_modified_by` int(11) NOT NULL,
  `last_modified_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `created_by` int(11) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `company_information`
--

INSERT INTO `company_information` (`company_id`, `company_logo`, `company_name`, `company_address`, `phone1`, `email_address`, `last_modified_by`, `last_modified_date`, `created_by`, `created_date`) VALUES
(1, 'logo.png', 'CannaMed Clinic', '-', '-', 'info@cannamedclinic.ca', 0, '2019-06-19 02:55:12', 1, '2017-12-25 23:59:00');

-- --------------------------------------------------------

--
-- Table structure for table `department`
--

CREATE TABLE `department` (
  `department_id` int(11) NOT NULL,
  `department_name` varchar(50) NOT NULL,
  `department_desc` text NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `department`
--

INSERT INTO `department` (`department_id`, `department_name`, `department_desc`, `nStatus`) VALUES
(1, 'Administrative Department', '', 1),
(2, 'Finance Department', '', 1);

-- --------------------------------------------------------

--
-- Table structure for table `designation`
--

CREATE TABLE `designation` (
  `designation_id` int(11) NOT NULL,
  `designation_name` varchar(50) NOT NULL,
  `designation_desc` text NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `designation`
--

INSERT INTO `designation` (`designation_id`, `designation_name`, `designation_desc`, `nStatus`) VALUES
(1, 'Administrator', '', 1),
(2, 'Office Staff', '', 1),
(3, 'Estimator', 'Estimator', 1),
(4, 'Physician', 'Physician', 1);

-- --------------------------------------------------------

--
-- Table structure for table `employee_information`
--

CREATE TABLE `employee_information` (
  `id` bigint(20) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT current_timestamp(),
  `createdby_userid` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `modifiedby_user_id` int(11) NOT NULL,
  `act` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1- Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `group_permission`
--

CREATE TABLE `group_permission` (
  `permission_id` bigint(20) NOT NULL,
  `group_id` varchar(10000) NOT NULL DEFAULT 'a:2:{i:1;s:1:"4";i:2;s:1:"1";}' COMMENT 'a:2:{i:1;s:1:"4";i:2;s:1:"1";}',
  `menu_id` int(11) DEFAULT NULL,
  `permission_name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

--
-- Dumping data for table `group_permission`
--

INSERT INTO `group_permission` (`permission_id`, `group_id`, `menu_id`, `permission_name`) VALUES
(2, 'a:14:{i:2;i:7;i:3;i:8;i:4;i:9;i:5;i:10;i:6;i:11;i:7;i:12;i:9;i:13;i:12;s:1:\"3\";i:15;s:1:\"2\";i:20;i:7;i:21;i:8;i:31;s:1:\"1\";i:32;s:1:\"4\";i:35;s:1:\"5\";}', 2, 'add'),
(3, 'a:14:{i:0;i:7;i:1;i:8;i:2;i:9;i:3;i:10;i:4;i:11;i:5;i:12;i:8;i:13;i:11;s:1:\"3\";i:14;s:1:\"2\";i:19;i:7;i:20;i:8;i:30;s:1:\"1\";i:31;s:1:\"4\";i:34;s:1:\"5\";}', 2, 'edit'),
(4, 'a:14:{i:1;i:7;i:2;i:8;i:3;i:9;i:4;i:10;i:5;i:11;i:6;i:12;i:9;i:13;i:12;s:1:\"3\";i:15;s:1:\"2\";i:20;i:7;i:21;i:8;i:31;s:1:\"1\";i:32;s:1:\"4\";i:35;s:1:\"5\";}', 2, 'delete'),
(5, 'a:4:{i:6;s:1:\"3\";i:8;s:1:\"2\";i:15;s:1:\"1\";i:16;s:1:\"4\";}', 3, 'add'),
(6, 'a:5:{i:0;i:8;i:6;s:1:\"3\";i:8;s:1:\"2\";i:13;s:1:\"1\";i:14;s:1:\"4\";}', 3, 'edit'),
(7, 'a:6:{i:2;i:8;i:8;s:1:\"3\";i:10;s:1:\"2\";i:20;s:1:\"1\";i:21;s:1:\"4\";i:24;s:1:\"5\";}', 3, 'delete'),
(8, 'a:2:{i:7;s:1:\"1\";i:8;s:1:\"4\";}', 5, 'add'),
(9, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 5, 'edit'),
(10, 'a:2:{i:7;s:1:\"1\";i:8;s:1:\"4\";}', 5, 'delete'),
(11, 'a:1:{i:0;s:1:\"1\";}', 6, 'add'),
(12, 'a:1:{i:0;s:1:\"1\";}', 6, 'edit'),
(13, 'a:1:{i:0;s:1:\"1\";}', 6, 'delete'),
(14, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 5, 'deactivate'),
(15, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 5, 'activate'),
(16, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 2, 'deactivate'),
(17, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 2, 'activate'),
(18, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 3, 'deactivate'),
(19, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 3, 'activate'),
(20, 'a:0:{}', 7, 'add'),
(21, 'a:0:{}', 7, 'edit'),
(22, 'a:0:{}', 7, 'delete'),
(23, 'a:0:{}', 7, 'deactivate'),
(24, 'a:0:{}', 7, 'activate'),
(25, 'a:0:{}', 8, 'add'),
(26, 'a:0:{}', 8, 'edit'),
(27, 'a:0:{}', 8, 'delete'),
(28, 'a:0:{}', 8, 'activate'),
(29, 'a:0:{}', 8, 'deactivate'),
(30, 'a:1:{i:0;s:1:\"1\";}', 9, 'add'),
(31, 'a:1:{i:0;s:1:\"1\";}', 9, 'edit'),
(32, 'a:1:{i:0;s:1:\"1\";}', 9, 'delete'),
(35, 'a:0:{}', 12, 'add'),
(36, 'a:0:{}', 13, 'add'),
(37, 'a:0:{}', 13, 'edit'),
(38, 'a:0:{}', 13, 'delete'),
(39, 'a:0:{}', 13, 'deactivate'),
(40, 'a:0:{}', 13, 'activate'),
(41, 'a:0:{}', 15, 'add'),
(42, 'a:0:{}', 15, 'edit'),
(43, 'a:0:{}', 15, 'delete'),
(44, 'a:0:{}', 15, 'deactivate'),
(45, 'a:0:{}', 15, 'activate'),
(46, 'a:0:{}', 16, 'add'),
(47, 'a:0:{}', 16, 'edit'),
(48, 'a:0:{}', 16, 'delete'),
(49, 'a:0:{}', 16, 'deactivate'),
(50, 'a:0:{}', 16, 'activate'),
(51, 'a:0:{}', 17, 'add'),
(52, 'a:0:{}', 17, 'edit'),
(53, 'a:0:{}', 17, 'delete'),
(54, 'a:0:{}', 17, 'deactivate'),
(55, 'a:0:{}', 17, 'activate'),
(56, 'a:0:{}', 19, 'add'),
(57, 'a:0:{}', 19, 'edit'),
(58, 'a:0:{}', 19, 'delete'),
(59, 'a:0:{}', 19, 'deactivate'),
(60, 'a:0:{}', 19, 'activate'),
(61, 'a:0:{}', 20, 'add'),
(62, 'a:0:{}', 20, 'edit'),
(63, 'a:0:{}', 20, 'delete'),
(64, 'a:0:{}', 20, 'deactivate'),
(65, 'a:0:{}', 20, 'activate'),
(66, 'a:1:{i:0;s:1:\"1\";}', 21, 'update Settings'),
(67, 'a:1:{i:0;s:1:\"1\";}', 21, 'View Settings'),
(68, 'a:0:{}', 22, 'add'),
(69, 'a:0:{}', 22, 'edit'),
(70, 'a:0:{}', 22, 'delete'),
(71, 'a:0:{}', 24, 'add'),
(72, 'a:0:{}', 24, 'edit'),
(73, 'a:0:{}', 24, 'delete'),
(74, 'a:0:{}', 24, 'activate'),
(75, 'a:0:{}', 24, 'deactivate'),
(76, 'a:2:{i:8;s:1:\"1\";i:9;s:1:\"4\";}', 25, 'add'),
(77, 'a:2:{i:8;s:1:\"1\";i:9;s:1:\"4\";}', 25, 'edit'),
(78, 'a:2:{i:8;s:1:\"1\";i:9;s:1:\"4\";}', 25, 'delete'),
(79, 'a:2:{i:8;s:1:\"1\";i:9;s:1:\"4\";}', 25, 'activate'),
(80, 'a:2:{i:8;s:1:\"1\";i:9;s:1:\"4\";}', 25, 'deactivate'),
(81, 'a:0:{}', 26, 'add'),
(82, 'a:0:{}', 26, 'edit'),
(83, 'a:0:{}', 26, 'delete'),
(84, 'a:0:{}', 26, 'activate'),
(85, 'a:0:{}', 26, 'deactivate'),
(86, 'a:1:{i:0;s:1:\"1\";}', 6, 'activate'),
(87, 'a:1:{i:0;s:1:\"1\";}', 6, 'deactivate'),
(88, 'a:0:{}', 22, 'deactivate'),
(89, 'a:0:{}', 22, 'activate'),
(90, 'a:0:{}', 27, 'activate'),
(91, 'a:0:{}', 27, 'add'),
(92, 'a:0:{}', 27, 'edit'),
(93, 'a:0:{}', 27, 'delete'),
(94, 'a:0:{}', 27, 'deactivate'),
(95, 'a:0:{}', 29, 'add'),
(96, 'a:0:{}', 29, 'edit'),
(97, 'a:0:{}', 29, 'delete'),
(98, 'a:0:{}', 29, 'view'),
(99, 'a:0:{}', 29, 'Done'),
(100, 'a:0:{}', 29, 'deactivate'),
(101, 'a:0:{}', 29, 'activate'),
(102, 'a:0:{}', 30, 'view'),
(104, 'a:0:{}', 30, 'print'),
(105, 'a:0:{}', 30, 'edit'),
(106, 'a:0:{}', 30, 'deactivate'),
(107, 'a:0:{}', 30, 'activate'),
(108, 'a:0:{}', 30, 'delete'),
(109, 'a:4:{i:9;s:1:\"1\";i:10;s:1:\"4\";i:13;s:1:\"5\";i:14;s:1:\"6\";}', 32, 'add'),
(110, 'a:4:{i:12;s:1:\"1\";i:13;s:1:\"4\";i:16;s:1:\"5\";i:17;s:1:\"6\";}', 33, 'add'),
(111, 'a:4:{i:12;s:1:\"1\";i:13;s:1:\"4\";i:16;s:1:\"5\";i:17;s:1:\"6\";}', 33, 'edit'),
(112, 'a:4:{i:12;s:1:\"1\";i:13;s:1:\"4\";i:16;s:1:\"5\";i:17;s:1:\"6\";}', 33, 'delete'),
(113, 'a:4:{i:12;s:1:\"1\";i:13;s:1:\"4\";i:16;s:1:\"5\";i:17;s:1:\"6\";}', 33, 'deactivate'),
(114, 'a:4:{i:12;s:1:\"1\";i:13;s:1:\"4\";i:16;s:1:\"5\";i:17;s:1:\"6\";}', 33, 'activate'),
(115, 'a:2:{i:12;s:1:\"1\";i:13;s:1:\"4\";}', 34, 'add'),
(116, 'a:2:{i:12;s:1:\"1\";i:13;s:1:\"4\";}', 34, 'edit'),
(117, 'a:2:{i:12;s:1:\"1\";i:13;s:1:\"4\";}', 34, 'delete'),
(118, 'a:2:{i:10;s:1:\"1\";i:11;s:1:\"4\";}', 36, 'print_report'),
(119, 'a:2:{i:10;s:1:\"1\";i:11;s:1:\"4\";}', 36, 'export_excel'),
(120, 'a:2:{i:10;s:1:\"1\";i:11;s:1:\"4\";}', 36, 'export_PDF'),
(121, 'a:2:{i:10;s:1:\"1\";i:11;s:1:\"4\";}', 36, 'export_CSV'),
(122, 'a:3:{i:5;s:1:\"1\";i:8;s:1:\"5\";i:9;s:1:\"6\";}', 33, 'add_consult_note'),
(123, 'a:0:{}', NULL, 'registration_forms'),
(124, 'a:3:{i:6;s:1:\"1\";i:9;s:1:\"5\";i:10;s:1:\"6\";}', 33, 'add_registration_form'),
(125, 'a:3:{i:5;s:1:\"1\";i:8;s:1:\"5\";i:9;s:1:\"6\";}', 33, 'add_medical_record'),
(126, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 37, 'print_report'),
(127, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 37, 'export_excel'),
(128, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 37, 'export_PDF'),
(129, 'a:2:{i:4;s:1:\"1\";i:5;s:1:\"4\";}', 37, 'export_CSV'),
(130, 'a:2:{i:2;s:1:\"1\";i:3;s:1:\"4\";}', 38, 'print_report'),
(131, 'a:2:{i:2;s:1:\"1\";i:3;s:1:\"4\";}', 38, 'export_excel'),
(132, 'a:2:{i:2;s:1:\"1\";i:3;s:1:\"4\";}', 38, 'export_PDF'),
(133, 'a:2:{i:2;s:1:\"1\";i:3;s:1:\"4\";}', 38, 'export_CSV');

-- --------------------------------------------------------

--
-- Table structure for table `medical_docs`
--

CREATE TABLE `medical_docs` (
  `docs_id` bigint(20) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `weight` varchar(50) DEFAULT NULL,
  `bp` varchar(50) DEFAULT NULL,
  `temp` varchar(50) DEFAULT NULL,
  `age_gestation` varchar(150) DEFAULT NULL,
  `chief_complain` text DEFAULT NULL,
  `fetal_heart_beat` text DEFAULT NULL,
  `internal_exam` text DEFAULT NULL,
  `lab_results` text DEFAULT NULL,
  `comments` text DEFAULT NULL,
  `file_docs` varchar(500) DEFAULT NULL,
  `date_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `createdByUserID` int(11) NOT NULL,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `modifiedByUserID` int(11) NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0-InActive; 1-Active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `medical_docs`
--

INSERT INTO `medical_docs` (`docs_id`, `patient_id`, `weight`, `bp`, `temp`, `age_gestation`, `chief_complain`, `fetal_heart_beat`, `internal_exam`, `lab_results`, `comments`, `file_docs`, `date_created`, `createdByUserID`, `date_modified`, `modifiedByUserID`, `nStatus`) VALUES
(1, 1, '60 Kgs.', '120/120', '48', '19 weeks and 2 days', 'none', '80', 'none', 'none', 'comment', NULL, '2023-05-05 22:43:51', 1, '0000-00-00 00:00:00', 0, 1),
(2, 2, '60kgs', '120/80', '33', '14 weeks and 6 days', 'none', '80', 'none', 'none', 'good!', NULL, '2023-05-05 22:47:32', 1, '0000-00-00 00:00:00', 0, 1),
(3, 2, '58kgs', '120/90', '36', '17 weeks and 3 days', 'none', '80', 'none', 'none', 'Good!', NULL, '2023-05-05 22:48:35', 1, '0000-00-00 00:00:00', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `menu`
--

CREATE TABLE `menu` (
  `menu_id` int(11) NOT NULL,
  `menu_name` varchar(125) NOT NULL,
  `menu_link` varchar(50) NOT NULL,
  `parent_id` smallint(3) NOT NULL,
  `menu_sort` smallint(3) NOT NULL,
  `menu_icon` varchar(50) NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `menu`
--

INSERT INTO `menu` (`menu_id`, `menu_name`, `menu_link`, `parent_id`, `menu_sort`, `menu_icon`, `nStatus`) VALUES
(1, 'maintenance', 'administrator', 0, 2, 'fa fa-gear', 1),
(2, 'manage_department', 'manage_department', 1, 4, '', 1),
(3, 'manage_designation', 'manage_designation', 1, 3, '', 1),
(4, 'user_management', 'user_management', 0, 3, 'fa fa-users', 1),
(5, 'manage_users', 'manage_users', 4, 0, '', 1),
(6, 'manage_group', 'manage_group', 4, 1, '', 1),
(9, 'system_parameters', 'system_parameters', 10, 5, '', 1),
(10, 'configuration', 'configuration', 0, 8, 'fa fa-cogs', 0),
(21, 'general_settings', 'general_settings', 10, 0, '', 1),
(25, 'bulletin_board', 'bulletin_board', 1, 0, '', 1),
(31, 'patients_module', 'patients_module', 0, 0, 'fa fa-wheelchair', 1),
(32, 'add_new_patient', 'manage_patients/add', 31, 0, '', 1),
(33, 'manage_patients', 'manage_patients', 31, 1, '', 1),
(34, 'appointments', 'appointments', 31, 2, '', 0),
(35, 'reports', 'reports', 0, 1, 'fa fa-file-o', 1),
(36, 'new_patients_report', 'new_patients_report', 35, 0, '', 1),
(37, 'expiry_report', 'expiry_report', 35, 1, '', 1),
(38, 'patients_appointment_report', 'patients_appointment_report', 35, 2, '', 1);

-- --------------------------------------------------------

--
-- Table structure for table `patients`
--

CREATE TABLE `patients` (
  `id` int(11) NOT NULL,
  `cmid` int(11) DEFAULT NULL,
  `version_code` varchar(2) DEFAULT NULL,
  `lastname` varchar(75) NOT NULL,
  `middlename` varchar(50) DEFAULT NULL,
  `firstname` varchar(75) NOT NULL,
  `dob` date DEFAULT NULL,
  `gender` varchar(10) DEFAULT NULL,
  `home_address` text DEFAULT NULL,
  `city` varchar(50) DEFAULT NULL,
  `province` varchar(50) DEFAULT NULL,
  `postal_code` varchar(25) DEFAULT NULL,
  `shipping_address` text DEFAULT NULL,
  `shipping_city` varchar(50) DEFAULT NULL,
  `shipping_province` varchar(50) DEFAULT NULL,
  `shipping_postal_code` varchar(25) DEFAULT NULL,
  `email_address` varchar(75) DEFAULT NULL,
  `phone_number` varchar(50) DEFAULT NULL,
  `estimated_delivery_date` date DEFAULT NULL,
  `gestation_week_day` varchar(70) DEFAULT NULL,
  `gestation_day` int(11) DEFAULT NULL,
  `referral_source` varchar(50) DEFAULT NULL,
  `referral_other` varchar(50) DEFAULT NULL,
  `LP1` varchar(50) DEFAULT NULL,
  `date_expired` date DEFAULT NULL,
  `health_card_number` varchar(50) DEFAULT NULL,
  `LP2` varchar(50) DEFAULT NULL,
  `LP3` varchar(50) DEFAULT NULL,
  `LP_comments` varchar(255) DEFAULT NULL,
  `notes` text DEFAULT NULL,
  `date_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '	1 - Active; 0 - InActive	'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `patients`
--

INSERT INTO `patients` (`id`, `cmid`, `version_code`, `lastname`, `middlename`, `firstname`, `dob`, `gender`, `home_address`, `city`, `province`, `postal_code`, `shipping_address`, `shipping_city`, `shipping_province`, `shipping_postal_code`, `email_address`, `phone_number`, `estimated_delivery_date`, `gestation_week_day`, `gestation_day`, `referral_source`, `referral_other`, `LP1`, `date_expired`, `health_card_number`, `LP2`, `LP3`, `LP_comments`, `notes`, `date_created`, `nStatus`) VALUES
(1, 13769, NULL, 'Doe', '', 'John', '1990-05-29', 'Female', '#123 St', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', 'January 14, 2023', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, '', '2023-05-05 22:43:51', 1),
(2, 13770, NULL, 'Doe', '', 'Jane', '1993-05-12', 'Female', '#12 St.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'jane.doe@gmail.com', 'February 14, 2023', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '123456', NULL, NULL, NULL, '', '2023-05-05 22:47:32', 1);

-- --------------------------------------------------------

--
-- Table structure for table `patient_gestational_age`
--

CREATE TABLE `patient_gestational_age` (
  `age_id` bigint(20) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `estimated_delivery_date` date NOT NULL,
  `gestation_week_day` varchar(25) NOT NULL,
  `gestation_day` varchar(25) NOT NULL,
  `createdByUserID` int(11) NOT NULL,
  `createdDate` timestamp NOT NULL DEFAULT current_timestamp(),
  `modifiedByUserID` int(11) NOT NULL,
  `modifiedDate` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0-InActive; 1-Active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `patient_medical`
--

CREATE TABLE `patient_medical` (
  `id` bigint(11) NOT NULL,
  `cmid` int(11) NOT NULL,
  `patient_id` bigint(20) NOT NULL,
  `quantity` varchar(75) NOT NULL,
  `period_use` varchar(50) NOT NULL,
  `expiry_date` date NOT NULL,
  `diagnosis_comments` text NOT NULL,
  `thc` varchar(50) NOT NULL,
  `cbd` varchar(50) NOT NULL,
  `restrictions` varchar(50) NOT NULL,
  `date_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `createdByUserID` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `modifiedByUserID` int(11) NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0 - InActive; 1 - Active;'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `patient_notes`
--

CREATE TABLE `patient_notes` (
  `note_id` bigint(20) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `notes` text NOT NULL,
  `createdByUserID` int(11) NOT NULL,
  `createdDate` timestamp NOT NULL DEFAULT current_timestamp(),
  `modifiedByUserID` int(11) NOT NULL,
  `modifiedDate` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0-InActive; 1-Active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `subcontractor`
--

CREATE TABLE `subcontractor` (
  `subcontractor_id` int(11) NOT NULL,
  `name` varchar(150) NOT NULL,
  `project_manager` varchar(100) NOT NULL,
  `project_engineer` varchar(100) NOT NULL,
  `telephone` varchar(50) NOT NULL,
  `contact` varchar(50) NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `subcontractor`
--

INSERT INTO `subcontractor` (`subcontractor_id`, `name`, `project_manager`, `project_engineer`, `telephone`, `contact`, `nStatus`) VALUES
(1, 'JACE Management LLC', 'Jayson Sarino', 'Jayson Sarino', '092874524785', 'Test Contact', 1);

-- --------------------------------------------------------

--
-- Table structure for table `subcon_draw`
--

CREATE TABLE `subcon_draw` (
  `sdr_id` int(11) NOT NULL,
  `sdr_number` varchar(50) NOT NULL,
  `boq_id` int(11) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT current_timestamp(),
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `modified_by` int(11) NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0-InActive; 1-Active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `subcon_draw`
--

INSERT INTO `subcon_draw` (`sdr_id`, `sdr_number`, `boq_id`, `created_date`, `created_by`, `modified_date`, `modified_by`, `nStatus`) VALUES
(1, 'SDR-180001', 1, '2018-01-08 12:22:04', 1, '0000-00-00 00:00:00', 0, 1),
(3, 'SDR-180003', 3, '2018-01-14 02:19:54', 1, '0000-00-00 00:00:00', 0, 1),
(4, 'SDR-180004', 4, '2018-01-18 01:06:29', 1, '0000-00-00 00:00:00', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `system_option`
--

CREATE TABLE `system_option` (
  `id` int(11) NOT NULL,
  `cCode` varchar(50) NOT NULL,
  `cValue` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

--
-- Dumping data for table `system_option`
--

INSERT INTO `system_option` (`id`, `cCode`, `cValue`) VALUES
(1, 'lang', 'english'),
(3, 'timezone', 'Asia/Manila'),
(4, 'timezone', 'Australia/Melbourne'),
(7, 'lang', 'french'),
(8, 'auto_boq', '4'),
(9, 'auto_sdr', '4');

-- --------------------------------------------------------

--
-- Table structure for table `system_parameters`
--

CREATE TABLE `system_parameters` (
  `param_id` int(11) NOT NULL,
  `param_code` varchar(50) NOT NULL,
  `param_value` varchar(150) NOT NULL,
  `param_desc` text NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `system_parameters`
--

INSERT INTO `system_parameters` (`param_id`, `param_code`, `param_value`, `param_desc`, `nStatus`) VALUES
(50, 'CURRENCY', 'US Dollar', '&#36', 1),
(51, 'CURRENCY', 'Philippine Peso', '&#8369', 1);

-- --------------------------------------------------------

--
-- Table structure for table `system_settings`
--

CREATE TABLE `system_settings` (
  `settings_id` int(11) NOT NULL,
  `settings_code` varchar(25) NOT NULL,
  `settings_value` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `system_settings`
--

INSERT INTO `system_settings` (`settings_id`, `settings_code`, `settings_value`) VALUES
(1, 'lang', 'english'),
(2, 'default_timezone', 'Asia/Manila'),
(3, 'system_title', 'Aspen Development Corporation'),
(4, 'theme', 'defaultcrm'),
(5, 'theme_allowed', '1'),
(6, 'currency', '&#36'),
(7, 'CMID', '13770');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `user_id` int(11) NOT NULL,
  `group_id` int(11) DEFAULT NULL,
  `department_id` int(11) DEFAULT NULL,
  `designation_id` int(11) DEFAULT NULL,
  `firstname` varchar(50) NOT NULL,
  `lastname` varchar(50) NOT NULL,
  `email` varchar(75) NOT NULL,
  `phone` varchar(25) NOT NULL,
  `token_id` varchar(100) NOT NULL,
  `session_id` varchar(100) NOT NULL,
  `fpTokenID` varchar(100) NOT NULL,
  `theme` varchar(25) NOT NULL DEFAULT 'defaultcrm',
  `username` varchar(25) NOT NULL,
  `password` varchar(100) NOT NULL,
  `hc_business_address` text DEFAULT NULL,
  `hc_city` varchar(50) NOT NULL,
  `hc_postalcode` varchar(50) NOT NULL,
  `full_business_address` text DEFAULT NULL,
  `province_authorize` text DEFAULT NULL,
  `hc_license_number` varchar(250) DEFAULT NULL,
  `fax_number` varchar(50) DEFAULT NULL,
  `signature` varchar(50) NOT NULL,
  `profile_picture` varchar(100) NOT NULL,
  `createdByUserID` int(11) NOT NULL,
  `createdDateTime` timestamp NOT NULL DEFAULT current_timestamp(),
  `modifiedByUserID` int(11) NOT NULL,
  `modifiedDateTime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE current_timestamp(),
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0 - InActive; 1 - Active;',
  `aaa` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`user_id`, `group_id`, `department_id`, `designation_id`, `firstname`, `lastname`, `email`, `phone`, `token_id`, `session_id`, `fpTokenID`, `theme`, `username`, `password`, `hc_business_address`, `hc_city`, `hc_postalcode`, `full_business_address`, `province_authorize`, `hc_license_number`, `fax_number`, `signature`, `profile_picture`, `createdByUserID`, `createdDateTime`, `modifiedByUserID`, `modifiedDateTime`, `nStatus`, `aaa`) VALUES
(1, 1, 1, 1, 'Jayson', 'Sarino', 'jasonsarino27@gmail.com', '09777205041', 'o651bIGscq3L93Ala2qREZUUYBmTR5Ofs53FhfeQ9VnJfMrLbq', 'MaZmUH2B6dqn5luKA4Rkwk1XE8tnnz1uJltBnLcmIgQqkPUKjb', '', 'blue', 'admin', '$P$BXoRLn2LY1W/3HcvIZtSaEjE8u2pvu/', NULL, '', '', NULL, NULL, NULL, NULL, '', 'user-1513858625.png', 0, '0000-00-00 00:00:00', 1, '2024-06-24 03:16:53', 1, 0),
(12, 5, 1, 2, 'Baby Detty', 'Marcos', 'maryjoysarino14@gmail.com', '', 'PHM84LLpN1PZYD8Zbr4Ejj1oTbe2tfOHz2Gr8E6RwR0LBVvLjB', 'aR49UCOR2KDApWicbTert98Wi2AfPn5Oph2potA5foQkSLLbHD', '', 'light', 'doctor', '$P$BXoRLn2LY1W/3HcvIZtSaEjE8u2pvu/', NULL, '', '', NULL, NULL, NULL, NULL, '', '', 1, '2019-06-18 08:22:43', 1, '2023-04-07 08:26:37', 1, 0),
(13, 6, 1, 2, 'Ryojin', 'De Asis', 'sarinojayson27@gmail.com', '', '', '', '', 'dark', 'staff', '$P$BXoRLn2LY1W/3HcvIZtSaEjE8u2pvu/', NULL, '', '', NULL, NULL, NULL, NULL, '', '', 1, '2019-06-23 12:14:27', 0, '2023-04-07 08:14:22', 1, 0),
(14, 1, 1, 1, 'sample', 'first', 'dvsvdvsdsvd@gmail.com', '', '1yhT7N8dkY5NNgorqbfohKNKlqbA6x2UWNp5CYEeKP6KuJs99t', 'rsfzvTJks0GfnlN0vgAjeWUbTK5qXtqlGUr4K0KOyR0XaKBanV', '', 'grey', 'OVN4S01C', '$P$BWUvEcu60c0okWA/QYWkpwbtoH86gP0', NULL, '', '', NULL, NULL, NULL, NULL, '', '', 1, '2022-02-10 09:39:14', 1, '2022-02-14 12:23:26', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `user_group`
--

CREATE TABLE `user_group` (
  `group_id` int(11) NOT NULL,
  `group_name` varchar(50) NOT NULL,
  `group_desc` text NOT NULL,
  `privileges` text NOT NULL,
  `nStatus` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1 - Active; 0 - InActive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

--
-- Dumping data for table `user_group`
--

INSERT INTO `user_group` (`group_id`, `group_name`, `group_desc`, `privileges`, `nStatus`) VALUES
(1, 'Super Admin', 'Super Admin', 'a:18:{i:0;s:2:\"32\";i:1;s:2:\"33\";i:2;s:2:\"34\";i:3;s:2:\"25\";i:4;s:1:\"3\";i:5;s:1:\"2\";i:6;s:1:\"5\";i:7;s:1:\"6\";i:8;s:2:\"21\";i:9;s:1:\"9\";i:10;s:2:\"36\";i:11;s:2:\"37\";i:12;s:2:\"38\";i:13;s:2:\"35\";i:14;s:2:\"31\";i:15;s:1:\"4\";i:16;s:1:\"1\";i:17;s:2:\"10\";}', 1),
(4, 'Administrator', 'Administrator', 'a:13:{i:0;s:2:\"32\";i:1;s:2:\"33\";i:2;s:2:\"25\";i:3;s:1:\"3\";i:4;s:1:\"2\";i:5;s:1:\"5\";i:6;s:2:\"36\";i:7;s:2:\"37\";i:8;s:2:\"38\";i:9;s:2:\"35\";i:10;s:2:\"31\";i:11;s:1:\"4\";i:12;s:1:\"1\";}', 1),
(5, 'Physician Group', 'Physician Group', 'a:3:{i:0;s:2:\"32\";i:1;s:2:\"33\";i:2;s:2:\"31\";}', 1),
(6, 'Staff', 'Staff', 'a:3:{i:0;s:2:\"32\";i:1;s:2:\"33\";i:2;s:2:\"31\";}', 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `activity_log`
--
ALTER TABLE `activity_log`
  ADD PRIMARY KEY (`log_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `user_id_2` (`user_id`);

--
-- Indexes for table `appointment`
--
ALTER TABLE `appointment`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `boq`
--
ALTER TABLE `boq`
  ADD PRIMARY KEY (`boq_id`),
  ADD KEY `project` (`project`,`subcontractor`,`created_by`,`modified_by`),
  ADD KEY `subcontractor` (`subcontractor`);

--
-- Indexes for table `bulletin_board`
--
ALTER TABLE `bulletin_board`
  ADD PRIMARY KEY (`bulletin_id`),
  ADD KEY `addedByUserID` (`addedByUserID`);

--
-- Indexes for table `company_information`
--
ALTER TABLE `company_information`
  ADD PRIMARY KEY (`company_id`);

--
-- Indexes for table `department`
--
ALTER TABLE `department`
  ADD PRIMARY KEY (`department_id`);

--
-- Indexes for table `designation`
--
ALTER TABLE `designation`
  ADD PRIMARY KEY (`designation_id`);

--
-- Indexes for table `employee_information`
--
ALTER TABLE `employee_information`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `group_permission`
--
ALTER TABLE `group_permission`
  ADD PRIMARY KEY (`permission_id`),
  ADD KEY `menu_id` (`menu_id`);

--
-- Indexes for table `medical_docs`
--
ALTER TABLE `medical_docs`
  ADD PRIMARY KEY (`docs_id`);

--
-- Indexes for table `menu`
--
ALTER TABLE `menu`
  ADD PRIMARY KEY (`menu_id`);

--
-- Indexes for table `patients`
--
ALTER TABLE `patients`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `patient_gestational_age`
--
ALTER TABLE `patient_gestational_age`
  ADD PRIMARY KEY (`age_id`);

--
-- Indexes for table `patient_medical`
--
ALTER TABLE `patient_medical`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `patient_notes`
--
ALTER TABLE `patient_notes`
  ADD PRIMARY KEY (`note_id`);

--
-- Indexes for table `subcontractor`
--
ALTER TABLE `subcontractor`
  ADD PRIMARY KEY (`subcontractor_id`);

--
-- Indexes for table `subcon_draw`
--
ALTER TABLE `subcon_draw`
  ADD PRIMARY KEY (`sdr_id`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`);

--
-- Indexes for table `system_option`
--
ALTER TABLE `system_option`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `system_parameters`
--
ALTER TABLE `system_parameters`
  ADD PRIMARY KEY (`param_id`);

--
-- Indexes for table `system_settings`
--
ALTER TABLE `system_settings`
  ADD PRIMARY KEY (`settings_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`user_id`),
  ADD KEY `department_id` (`department_id`) USING BTREE,
  ADD KEY `group_id` (`group_id`),
  ADD KEY `designation_id` (`designation_id`);

--
-- Indexes for table `user_group`
--
ALTER TABLE `user_group`
  ADD PRIMARY KEY (`group_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `activity_log`
--
ALTER TABLE `activity_log`
  MODIFY `log_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `appointment`
--
ALTER TABLE `appointment`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `boq`
--
ALTER TABLE `boq`
  MODIFY `boq_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `bulletin_board`
--
ALTER TABLE `bulletin_board`
  MODIFY `bulletin_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `company_information`
--
ALTER TABLE `company_information`
  MODIFY `company_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `department`
--
ALTER TABLE `department`
  MODIFY `department_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `designation`
--
ALTER TABLE `designation`
  MODIFY `designation_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `employee_information`
--
ALTER TABLE `employee_information`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `group_permission`
--
ALTER TABLE `group_permission`
  MODIFY `permission_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=134;

--
-- AUTO_INCREMENT for table `medical_docs`
--
ALTER TABLE `medical_docs`
  MODIFY `docs_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `menu`
--
ALTER TABLE `menu`
  MODIFY `menu_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=39;

--
-- AUTO_INCREMENT for table `patients`
--
ALTER TABLE `patients`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `patient_gestational_age`
--
ALTER TABLE `patient_gestational_age`
  MODIFY `age_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `patient_medical`
--
ALTER TABLE `patient_medical`
  MODIFY `id` bigint(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `patient_notes`
--
ALTER TABLE `patient_notes`
  MODIFY `note_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `subcontractor`
--
ALTER TABLE `subcontractor`
  MODIFY `subcontractor_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `subcon_draw`
--
ALTER TABLE `subcon_draw`
  MODIFY `sdr_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `system_option`
--
ALTER TABLE `system_option`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `system_parameters`
--
ALTER TABLE `system_parameters`
  MODIFY `param_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=52;

--
-- AUTO_INCREMENT for table `system_settings`
--
ALTER TABLE `system_settings`
  MODIFY `settings_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `user_group`
--
ALTER TABLE `user_group`
  MODIFY `group_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `activity_log`
--
ALTER TABLE `activity_log`
  ADD CONSTRAINT `activity_log_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`);

--
-- Constraints for table `boq`
--
ALTER TABLE `boq`
  ADD CONSTRAINT `boq_ibfk_1` FOREIGN KEY (`subcontractor`) REFERENCES `subcontractor` (`subcontractor_id`);

--
-- Constraints for table `bulletin_board`
--
ALTER TABLE `bulletin_board`
  ADD CONSTRAINT `bulletin_board_ibfk_1` FOREIGN KEY (`addedByUserID`) REFERENCES `users` (`user_id`);

--
-- Constraints for table `users`
--
ALTER TABLE `users`
  ADD CONSTRAINT `users_ibfk_1` FOREIGN KEY (`designation_id`) REFERENCES `designation` (`designation_id`) ON DELETE SET NULL ON UPDATE NO ACTION,
  ADD CONSTRAINT `users_ibfk_2` FOREIGN KEY (`group_id`) REFERENCES `user_group` (`group_id`) ON DELETE SET NULL ON UPDATE NO ACTION,
  ADD CONSTRAINT `users_ibfk_3` FOREIGN KEY (`department_id`) REFERENCES `department` (`department_id`) ON DELETE SET NULL ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
