$('#frmsubcategory').on('submit', function(e){
	e.preventDefault();

	var formdata = $(this).serialize();
	var url = $(this).attr("action");
	var t = $('.btnsubmit');
	alert(url);

	$.ajax(url, {
	    method: "POST",
	    data: formdata,
	    beforeSend: function(){
	        t.button("loading");
	    }
	}).done(function (result, status) {
	    t.button("reset");
	    toastr.clear();
	    if (result.success) {
	        toastNotification("SUCCESS", result.message, "success");
	        if(result.formaction == 'reset') {
	        	$(this)[0].reset();
	        	$(".select2").val(null).trigger("change");
	        }
	    } else {
	        toastNotification("ERROR", result.message, "error");
	    }
	}).fail(function (xhr, textStatus, errorThrown) {
	    t.button("reset");
	    console.log(textStatus);
	    toastNotification("ERROR", "An unexpected error occured", "error");
	});

});