 var base_url = $('#base_url').val();

$(document).ready(function(){
	loadRecentActivities();
	loadBulletinBoard();
	loadTodaysAppointments();
	loadMyAllAppointments();
	loadAllAppointments();
});

function viewBulletin(id)
{
	$.ajax({
		url: base_url + "dashboard_widgets/viewBulletin/" + id,
		type: "POST",
		success: function(data){
			$('#responsive').html(data);
			$('#responsive').modal('show');
		}
	});
}

function loadRecentActivities()
{
	$.ajax({
		url: base_url + "dashboard_widgets/loadRecentActivities",
		type: "POST",
		success: function(data){
			$('#listRecentActivities').html(data);
		}, beforeSend: function(){
			$('#listRecentActivities').html("<br><br><center><img src='"+base_url.trim()+"public/images/loading.gif' height='50'><br>Please wait..</center><br><br>");
		}	
	});
}

function loadBulletinBoard()
{
	$.ajax({
		url: base_url + "dashboard_widgets/loadBulletinBoard",
		type: "POST",
		success: function(data){
			$('#listBulletinBoard').html(data);
		}, beforeSend: function(){
			$('#listBulletinBoard').html("<br><br><center><img src='"+base_url.trim()+"public/images/loading.gif' height='50'><br>Please wait..</center><br><br>");
		}	
	});
}

function loadTodaysAppointments()
{
	$.ajax({
		url: base_url + "dashboard_widgets/loadTodaysAppointments",
		success: function(data){
			$('#todays_appointments_div').html(data);
		}, beforeSend: function(){
			$('#todays_appointments_div').html("<br><br><center><img src='"+base_url.trim()+"public/images/loading.gif' height='50'><br>Please wait..</center><br><br>");
		}	
	});
}

function loadMyAllAppointments()
{
	$.ajax({
		url: base_url + "dashboard_widgets/loadMyAllAppointments",
		success: function(data){
			$('#my_all_appointments_div').html(data);
		}, beforeSend: function(){
			$('#my_all_appointments_div').html("<br><br><center><img src='"+base_url.trim()+"public/images/loading.gif' height='50'><br>Please wait..</center><br><br>");
		}	
	});
}

function loadAllAppointments()
{
	$.ajax({
		url: base_url + "dashboard_widgets/loadAllAppointments",
		success: function(data){
			$('#all_appointments_div').html(data);
		}, beforeSend: function(){
			$('#all_appointments_div').html("<br><br><center><img src='"+base_url.trim()+"public/images/loading.gif' height='50'><br>Please wait..</center><br><br>");
		}	
	});
}