var TableDatatablesAjax = function(path, sort, sortBy) {
    var a = function() {
            $(".date-picker").datepicker({
                rtl: App.isRTL(),
                autoclose: !0
            })
        },
        e = function(path, sort, sortBy) {
            var a = new Datatable;

            a.init({
                src: $("#datatable_ajax"),
                onSuccess: function(a, e) {},
                onError: function(a) {},
                onDataLoad: function(a) {},
                loadingMessage: "Loading...",
                dataTable: {
                    "bStateSave": false, // save datatable state(pagination, sort, etc) in cookie.
                    "bServerSide": true,
                    "bFilter": true,
                    "sortable": true,
                    lengthMenu: [
                        [10, 20, 50, 100, 150, -1],
                        [10, 20, 50, 100, 150, "All"]
                    ],
                    pageLength: 10,
                    ajax: {
                        url: base_url + path
                    }
                }
            }), a.getTableWrapper().on("click", ".table-group-action-submit", function(e) {
                e.preventDefault();
                var action = $(".table-group-action-input", a.getTableWrapper());
                if (action.val() == "Edit" && a.getSelectedRowsCount() > 0) {
                    alert(a.getSelectedRows().toString());
                } else if(action.val() != "" && a.getSelectedRowsCount() > 0) {
                    bootbox.confirm("Are you sure you want to <strong>" + action.children("option").filter(":selected").text() +  "</strong> the selected item(s)?", function(result) {
                       if(result) {
                           a.setAjaxParam("actionType", "group_action");
                           a.setAjaxParam("actionName", action.val());
                           a.setAjaxParam("id", a.getSelectedRows());
                           a.getDataTable().ajax.reload();
                           a.clearAjaxParams();
                       }
                    });
                } else if (action.val() == "") {
                    App.alert({
                        type: "danger",
                        icon: "warning",
                        message: "Please select an action",
                        container: a.getTableWrapper(),
                        place: "prepend"
                    })
                } else if (a.getSelectedRowsCount() === 0) {
                    App.alert({
                        type: "danger",
                        icon: "warning",
                        message: "No record selected",
                        container: a.getTableWrapper(),
                        place: "prepend"
                    })
                }
            }), a.getTableWrapper().on('keyup', '.form-filter', function(e) {
                e.preventDefault();
                var table = $("#datatable_ajax");
                a.setAjaxParam("action", "filter");

                // get all typeable inputs
                $('textarea.form-filter, select.form-filter, input.form-filter:not([type="radio"],[type="checkbox"])', table).each(function() {
                    a.setAjaxParam($(this).attr("name"), $(this).val());
                });

                // // get all checkboxes
                // $('input.form-filter[type="checkbox"]:checked', table).each(function() {
                //     the.addAjaxParam($(this).attr("name"), $(this).val());
                // });

                // // get all radio buttons
                // $('input.form-filter[type="radio"]:checked', table).each(function() {
                //     the.setAjaxParam($(this).attr("name"), $(this).val());
                // });
                a.getDataTable().ajax.reload();
                a.clearAjaxParams();

            }), a.getTableWrapper().on('click', '.filter-submit', function(e) {
                e.preventDefault();
                var table = $("#datatable_ajax");
                a.setAjaxParam("action", "filter");

                // get all typeable inputs
                $('textarea.form-filter, select.form-filter, input.form-filter:not([type="radio"],[type="checkbox"])', table).each(function() {
                    a.setAjaxParam($(this).attr("name"), $(this).val());
                });

                // // get all checkboxes
                // $('input.form-filter[type="checkbox"]:checked', table).each(function() {
                //     the.addAjaxParam($(this).attr("name"), $(this).val());
                // });

                // // get all radio buttons
                // $('input.form-filter[type="radio"]:checked', table).each(function() {
                //     the.setAjaxParam($(this).attr("name"), $(this).val());
                // });
                a.getDataTable().ajax.reload();
                a.clearAjaxParams();

            }), a.getTableWrapper().on('click', '.filter-cancel', function(e) {
                e.preventDefault();
                var table = $("#datatable_ajax");
                $('textarea.form-filter, select.form-filter, input.form-filter', table).each(function() {
                    $(this).val("");
                });
                $('input.form-filter[type="checkbox"]', table).each(function() {
                    $(this).attr("checked", false);
                });
                $(".select2").val(null).trigger("change");
                a.clearAjaxParams();
                a.addAjaxParam("action", "filter_cancel");
                a.getDataTable().ajax.reload();
                a.clearAjaxParams();

            }), a.getTableWrapper().on('click', '.filter-close', function(e) {
                e.preventDefault();
                var table = $("#datatable_ajax");
                $('textarea.form-filter, select.form-filter, input.form-filter', table).each(function() {
                    $(this).val("");
                });
                $('input.form-filter[type="checkbox"]', table).each(function() {
                    $(this).attr("checked", false);
                });
                a.clearAjaxParams();
                a.addAjaxParam("action", "filter_cancel");
                a.getDataTable().ajax.reload();
                a.clearAjaxParams();
                $('.filter-row').hide();
            });



        };


       
    return {
        

        init: function(path, sort, sortBy) {
            a(), e(path, sort, sortBy);
        },
        setAjaxParam: function(name, value) {
            ajaxParams[name] = value;
        },
        getDataTable: function() {
            return a;
        }
    }
}();
