<?php
// Parent Menus
$lang['dashboard'] 								=	'Dashboard';
$lang['maintenance'] 							=	'Maintenance';
$lang['user_management'] 						=	'User Management';
$lang['configuration'] 							=	'Configuration';
$lang['materials'] 								=	'Materials';
$lang['patients_module'] 						=	'Patients';
$lang['reports'] 								=	'Reports';


// Child Menus
$lang['new_patients_report'] 					=	'New Patients Report';
$lang['manage_department'] 						=	'Manage Department';
$lang['manage_designation'] 					=	'Manage Designation';
$lang['manage_users'] 							=	'Manage Users';
$lang['manage_group'] 							=	'Manage Group';
$lang['manage_initial'] 						=	'Manage Initial';
$lang['system_parameters'] 						=	'System Parameters';
$lang['general_settings'] 						=	'General Settings';
$lang['add_new_patient'] 						=	'Add New Patient';
$lang['manage_patients'] 						=	'Manage Patients';
$lang['appointments'] 							=	'Appointments';
$lang['expiry_report'] 							=	'Expiry Report';
$lang['patients_appointment_report'] 			=	'Patients Appointment';

// Quick Menus
$lang['quick_add_contact'] 						=	'Add Contact';
$lang['quick_add_org'] 							=	'Add Organization';
$lang['quick_add_campign'] 						=	'Add Campaign';
$lang['quick_add_opportunity'] 					=	'Add Opportunity';

// General
$lang['status'] 								=	'Status';
$lang['actions'] 								=	'Actions';
$lang['manage'] 								=	'Manage';
$lang['add'] 									=	'Add';
$lang['select'] 								=	'Select';
$lang['save'] 									=	'Save';
$lang['edit'] 									=	'Edit';
$lang['cancel'] 								=	'Cancel';
$lang['delete'] 								=	'Delete';
$lang['description'] 							=	'Description';
$lang['export_print'] 							=	'Print';
$lang['export_pdf'] 							=	'Export to PDF';
$lang['export_excel'] 							=	'Export to Excel';
$lang['export_csv'] 							=	'Export to CSV';
$lang['created_by'] 							=	'Created By';
$lang['created_date'] 							=	'Created Date';
$lang['modified_by'] 							=	'Last Modified By';
$lang['modified_date'] 							=	'Last Modified Date';
$lang['user_log'] 								=	'User Log';

// Dashboard
$lang['dashboard_subtitle'] 					=	'dashboard & statistics';
$lang['search'] 								=	'Search';
$lang['edit'] 									=	'Edit';
$lang['delete'] 								=	'Delete';
$lang['deactivate'] 							=	'Deactivate';
$lang['activate'] 								=	'Activate';
$lang['manage_params'] 							=	'Manage Parameter Category';
$lang['contact_params'] 						=	'Contact Parameters';
$lang['contact_params_desc'] 					=	'Manage system parameters for contacts';
$lang['org_params'] 							=	'Organization Parameters';
$lang['org_params_desc'] 						=	'Manage system parameters for organizations';
$lang['campaign_params'] 						=	'Campaign Parameters';
$lang['campaign_params_desc'] 					=	'Manage system parameters for Campaigns';
$lang['general_params'] 						=	'General Parameters';
$lang['general_params_desc'] 					=	'Manage system parameters for General';
$lang['opportunity_params'] 					=	'Opportunity Parameters';
$lang['opportunity_params_desc'] 				=	'Manage system parameters for Opportunity';
$lang['product_params'] 						=	'Product Parameters';
$lang['product_params_desc'] 					=	'Manage system parameters for Product';
$lang['services_params'] 						=	'Services Parameters';
$lang['services_params_desc'] 					=	'Manage system parameters for Services';
$lang['quotes_params'] 							=	'Quote Parameters';
$lang['quotes_params_desc'] 					=	'Manage system parameters for Quote';

// Manage Users
$lang['manage_users_title'] 					=	'Manage Users';
$lang['manage_users_subtitle'] 					=	'User Management';
$lang['manage_users_info'] 						=	'User Information';
$lang['manage_users_addnew'] 					=	'Add New';
$lang['manage_users_savebtn'] 					=	'Save';
$lang['manage_users_lblfirstname'] 				=	'First Name';
$lang['manage_users_lblfullname'] 				=	'Name';
$lang['manage_users_lblfirstname_ht'] 			=	'Enter First Name';
$lang['manage_users_lbllastname'] 				=	'Last Name';
$lang['manage_users_lbllastname_ht'] 			=	'Enter Last Name';
$lang['manage_users_lblgroup'] 					=	'User Group';
$lang['manage_users_lblgroup_ht'] 				=	'Enter User Group';
$lang['manage_users_lbldepartment'] 			=	'Department';
$lang['manage_users_lbldepartment_ht'] 			=	'Enter Department';
$lang['manage_users_lbldesignation'] 			=	'Designation';
$lang['manage_users_lbldesignation_ht'] 		=	'Enter Designation';
$lang['manage_users_lblemail'] 					=	'Email Address';
$lang['manage_users_lblemail_ht'] 				=	'Enter Email Address';
$lang['manage_users_lblcontact'] 				=	'Contact No.';
$lang['manage_users_lblcontact_ht'] 			=	'Enter Contact No.';
$lang['manage_users_successmsg'] 				=	'User has been saved!';
$lang['manage_users_errormsg'] 					=	'Their\'s an error in saving the User.';
$lang['manage_users_edit'] 						=	'Edit User';
$lang['manage_users_personal'] 					=	'Personal Details';
$lang['manage_users_contact'] 					=	'Contact Details';
$lang['manage_users_activity'] 					=	'Activity Log';

// Manage Initial
$lang['manage_initial_title'] 					=	'Manage Initial';
$lang['manage_initial_subtitle'] 				=	'Administrator';
$lang['manage_initial_addnew'] 					=	'Add New';
$lang['manage_initial_savebtn'] 				=	'Save';
$lang['manage_initial_lblinitial'] 				=	'Initial Name';
$lang['manage_initial_lblinitial_ht'] 			=	'Enter Initial Name';
$lang['manage_initial_lblinitialdesc'] 			=	'Initial Description';
$lang['manage_initial_lblinitialdesc_ht'] 		=	'Enter Initial Description';
$lang['manage_initial_successmsg'] 				=	'Initial has been saved!';
$lang['manage_initial_errormsg'] 				=	'Their\'s an error in saving the Initial.';
$lang['manage_initial_edit'] 					=	'Edit Initial';

// Manage Department
$lang['manage_department_title'] 				=	'Manage Department';
$lang['manage_department_subtitle'] 			=	'Maintenance';
$lang['manage_department_addnew'] 				=	'Add New';
$lang['manage_department_savebtn'] 				=	'Save';
$lang['manage_department_list'] 				=	'List Department';
$lang['manage_dept_lbldepartment'] 				=	'Department Name';
$lang['manage_dept_lbldepartment_ht'] 			=	'Enter Department Name';
$lang['manage_dept_lbldeptdesc'] 				=	'Description';
$lang['manage_dept_lbldeptdesc_ht'] 			=	'Enter Description';
$lang['manage_dept_edit'] 						=	'Edit Department';
$lang['manage_department_successmsg'] 			=	'Department has been saved!';
$lang['manage_department_errormsg'] 			=	'Their\'s an error in saving the Department.';

// Manage System Parameters
$lang['system_param_title'] 					=	'System Parameters';
$lang['system_param_subtitle'] 					=	'Configuration';
$lang['system_param_addnew'] 					=	'Add New';
$lang['system_param_list'] 						=	'Parameters List';
$lang['system_param_name'] 						=	'Name';
$lang['system_param_code'] 						=	'Code';
$lang['system_param_value'] 					=	'Value';
$lang['system_param_desc'] 						=	'Description';
$lang['manage_param_successmsg'] 				=	'Parameter has been saved!';
$lang['manage_param_errormsg'] 					=	'Their\'s an error in saving the Parameter.';
$lang['manage_param_successdelmsg'] 			=	'Parameter has been deleted!';
$lang['manage_param_errordelmsg'] 				=	'Their\'s an error in deleting the Parameter.';

// Manage Designation
$lang['manage_designation_title'] 				=	'Manage Designation';
$lang['manage_designation_subtitle'] 			=	'Maintenance';
$lang['manage_designation_addnew'] 				=	'Add New';
$lang['manage_designation_list'] 				=	'Designation List';
$lang['manage_designation_savebtn'] 			=	'Save';
$lang['manage_designation_lbldepartment'] 		=	'Designation Name';
$lang['manage_designation_lbldepartment_ht'] 	=	'Enter Designation Name';
$lang['manage_designation_lbldeptdesc'] 		=	'Description';
$lang['manage_designation_lbldeptdesc_ht'] 		=	'Enter Description';
$lang['manage_designation_edit'] 				=	'Edit Designation';
$lang['manage_designation_successmsg'] 			=	'Designation has been saved!';
$lang['manage_designation_errormsg'] 			=	'Their\'s an error in saving the Designation.';

// Manage Group
$lang['manage_group_title'] 					=	'Manage Group';
$lang['manage_group_subtitle'] 					=	'User Management';
$lang['manage_group_addnew'] 					=	'Add New';
$lang['manage_group_savebtn'] 					=	'Save';
$lang['manage_group_lblgroupname'] 				=	'Group Name';
$lang['manage_group_lblgroupname_ht'] 			=	'Enter Group Name';
$lang['manage_group_lblgroupdesc'] 				=	'Group Description';
$lang['manage_group_lblgroupdesc_ht'] 			=	'Enter Group Description';
$lang['manage_group_lblprivileges'] 			=	'Privileges';
$lang['manage_group_successmsg'] 				=	'Group has been saved!';
$lang['manage_group_errormsg'] 					=	'Their\'s an error in saving the Group.';
$lang['manage_group_edit'] 						=	'Edit Group';

// Login
$lang['login_button'] 							=	'Login';
$lang['login_sigin'] 							=	'Sign In';
$lang['login_error_msg'] 						=	'Enter any username and password.';
$lang['login_username'] 						=	'Username';
$lang['login_password'] 						=	'Password';
$lang['login_forgot_password'] 					=	'Forgot Password?';
$lang['login_forgot_password_err_msg'] 			=	'Enter your e-mail address below to reset your password.';
$lang['login_forgot_password_email'] 			=	'Email Address';
$lang['login_forgot_password_btn_back'] 		=	'Back';
$lang['login_forgot_password_btn_submit'] 		=	'Submit';
$lang['login_access_granted'] 					=	'Access Granted! Redirecting to your account...';
$lang['login_invalid_login'] 					=	'Invalid Login';
$lang['login_invalid_username'] 				=	'Invalid Username';
$lang['login_forgot_password_msg'] 				=	'An email has been sent to';
$lang['login_forgot_password_msgc'] 			=	'with instructions on how to reset your password. Please check your "Spam" or "Junk" email folders if you do not see the email within the next 10 minutes.';
$lang['login_forgot_password_mail_not_send'] 	=	'Email not send.';
$lang['login_forgot_password_mail_not_found'] 	=	'Email Address not found in database.';

// Page Error
$lang['page_error_401_title'] 					=	'401 Authorization Required';
$lang['page_error_401_subtitle'] 				=	'';
$lang['page_error_401_msg'] 					=	'You do not have permission to access this page.';

// Patients
$lang['manage_patients_title'] 					=	'Manage Patients';
$lang['manage_patients_subtitle'] 				=	'Patients Module';

// Bulletin Board
$lang['bulletin_board']							=	'Manage Bulletin Board';
?>
