<?php

class Expiry_report_asset {

	public static function masterAsset()
	{
		$data = array(
			'index'		=>	self::indexAsset(),
			'add'		=>	self::addAsset()
		);

		return $data;
	}

	private static function indexAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css'),
								base_url('public/assets/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css'),
								base_url('public/assets/plugins/select2/css/select2.min.css'),
								base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js'),
								base_url('public/assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/plugins/select2/js/select2.full.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/app/formsubmit.js'),
								base_url('public/assets/js/components-date-time-pickers.min.js'),
								base_url('public/assets/js/components-select2.min.js')
							),
			'file'		=>	'/expiry_report/index.php'
		);

		return $assetsArr;
	}

	private static function addAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css'),
								base_url('public/assets/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css'),
								base_url('public/assets/plugins/select2/css/select2.min.css'),
								base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js'),
								base_url('public/assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/plugins/select2/js/select2.full.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/app/formsubmit.js'),
								base_url('public/assets/js/generaljs'),
								base_url('public/assets/js/components-date-time-pickers.min.js'),
								base_url('public/assets/js/components-select2.min.js')
							),
			'file'		=>	'/expiry_report/add.php'
		);

		return $assetsArr;
	}

}