<?php

class System_param_asset {

	public static function masterAsset()
	{
		$data = array(
			'index'		=>	self::indexAsset(),
			'add'		=>	self::addAsset()
		);

		return $data;
	}

	private static function indexAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(
								base_url('public/assets/plugins/datatables/datatables.min.css'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css')
							),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootbox/bootbox.min.js'),
								base_url('public/assets/js/datatable.js'),
								base_url('public/assets/plugins/datatables/datatables.min.js'),
								base_url('public/assets/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/app/param_manage.js'),
								base_url('public/assets/js/ui-bootbox.min.js')
							),
			'file'		=>	'/system_parameters/index.php'
		);

		return $assetsArr;
	}

	private static function addAsset()
	{
		$assetsArr = array(
			'css' 		=> 	array(),
			'js'  		=> 	array(
								base_url('public/assets/plugins/bootstrap-tabdrop/js/bootstrap-tabdrop.js'),
								base_url('public/assets/plugins/bootbox/bootbox.min.js')
							),
			'jsextend'	=>	array(
								base_url('public/assets/js/ui-bootbox.min.js'),
								base_url('public/assets/js/app/formsubmit.js')
							),
			'file'		=>	'/manage_department/add.php'
		);

		return $assetsArr;
	}

}