<?php 

if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 


class Dashboard_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	public function countAppointment($nStatus = 1)
	{
		$query = $this->db->query("SELECT * FROM `appointment` WHERE DATE(start_date) >= CURDATE() AND nStatus = 1 ORDER BY start_date");
		return $query->num_rows();
	}

	public function countPatients($nStatus = 1)
	{
		$this->db->where('nStatus', $nStatus);
		$query = $this->db->get('patients');
		return $query->num_rows();
	}

	public function countUsers($nStatus = 1)
	{
		$this->db->where('nStatus', $nStatus);
		$query = $this->db->get('users');
		return $query->num_rows();
	}

	public function countGroup($nStatus = 1)
	{
		$this->db->where('nStatus', $nStatus);
		$query = $this->db->get('user_group');
		return $query->num_rows();
	}

	
	
}