<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form role="form" method="post" class="formaction form-horizontal" action="<?=base_url('appointments/add')?>">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase">Appointment Details</span>
                        </div>
                        <div class="actions">
                        <button type="submit" class="btn blue-madison btnsubmit" name="btnsubmit"><i class="fa fa-plus"></i> <?=$this->lang->line('manage_users_savebtn')?></button>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="patient_id">Patient <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <select class="form-control select2" id="patient_id" name="patient_id" required>
                                                <option value=""></option>
                                                <?php 
                                                if($patientList) {
                                                    foreach($patientList as $pl) {
                                                        echo "<option value='".$pl->id."'>".$pl->firstname.' '.$pl->lastname.' ('.$pl->email_address.') '."</option>";
                                                    }
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="dob">Start Date <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            
                                            <div class="input-group date form_datetime">
                                                <input type="text" size="16" readonly class="form-control" name="start_date" required>
                                                <span class="input-group-btn">
                                                    <button class="btn default date-set" type="button">
                                                        <i class="fa fa-calendar"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="dob">End Date <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            
                                            <div class="input-group date form_datetime">
                                                <input type="text" size="16" readonly class="form-control" name="end_date" required>
                                                <span class="input-group-btn">
                                                    <button class="btn default date-set" type="button">
                                                        <i class="fa fa-calendar"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="assgined_doctor">Assigned Doctor <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="assgined_doctor" name="assgined_doctor" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="appointment_reason">Remarks </label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="appointment_reason" name="appointment_reason" rows="6"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>
