<div class="page-header navbar navbar-fixed-top">
    <!-- BEGIN HEADER INNER -->
    <div class="page-header-inner ">
        <!-- BEGIN LOGO -->
        <div class="page-logo">
            <a href="<?=base_url('dashboard')?>">
                <img src="<?=base_url('public/images/' . $companyInfo->company_logo)?>" class="logo-default" style="heigth:55px !important;"/> </a>
            <div class="menu-toggler sidebar-toggler">
                <!-- DOC: Remove the above "hide" to enable the sidebar toggler button on header -->
            </div>
        </div>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse"> </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN PAGE ACTIONS -->
        <!-- DOC: Remove "hide" class to enable the page header actions -->
        <div class="page-actions ">
            <div class="btn-group">
                <button type="button" class="btn green-jungle dropdown-toggle" data-toggle="dropdown">
                    <i class="fa fa-plus"></i>&nbsp;
                    <span class="hidden-sm hidden-xs">Options&nbsp;</span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </button>
                <ul class="dropdown-menu" role="menu">
                    <li><a style="text-align:left !important;" href="<?=base_url('manage_patients/add')?>" class="btn green-jungle"><i class="fa fa-user-plus" style="color:#FFF !important;"></i> Add Patient</a></li>
                    <li><a style="text-align:left !important;" href="javascript:;" class="btn green-jungle" data-toggle="modal" data-target="#addAppModal"><i class="fa fa-calendar-plus-o" style="color:#FFF !important;"></i> Add Appointment</a></li>
                    <li><a style="text-align:left !important;" href="javascript:;" class="btn green-jungle" data-toggle="modal" data-target="#gestational_calc"><i class="fa fa-calculator" style="color:#FFF !important;"></i> Gestational Age Calculator</a></li>
                </ul>
            </div>
        </div>
        <!-- END PAGE ACTIONS -->
        <!-- BEGIN PAGE TOP -->
        <div class="page-top">
            <!-- BEGIN HEADER SEARCH BOX -->
            <!-- DOC: Apply "search-form-expanded" right after the "search-form" class to have half expanded search box -->
            <form class="search-form search-form-expanded hide" action="page_general_search_3.html" method="GET">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Search..." name="query">
                    <span class="input-group-btn">
                        <a href="javascript:;" class="btn submit">
                            <i class="icon-magnifier"></i>
                        </a>
                    </span>
                </div>
            </form>
            <!-- END HEADER SEARCH BOX -->
            <!-- BEGIN TOP NAVIGATION MENU -->
            <div class="top-menu">
                <ul class="nav navbar-nav pull-right">
                    <!-- BEGIN LANGUAGE BAR -->
                    <!-- DOC: Apply "dropdown-dark" class after below "dropdown-extended" to change the dropdown styte -->
                    <li class="dropdown dropdown-language hide">
                        <a href="javascript:;" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                            <img alt="US" src="<?=base_url('public/images/flags/'.$curr_lang.'.png')?>">
                            <span class="langname"> <?=ucfirst($curr_lang)?> </span>
                            <i class="fa fa-angle-down"></i>
                        </a>
                        <ul class="dropdown-menu">
                            <?php 
                            if($lang_opt) {
                                foreach($lang_opt as $languages) {
                            ?>
                            <li>
                                <a href="javascript:;" onclick="setLang('<?=$languages->cValue?>')"><img alt="" src="<?=base_url('public/images/flags/'.$languages->cValue.'.png')?>"> <?=ucfirst($languages->cValue)?> </a>
                            </li>
                            <?php } }?>
                        </ul>
                    </li>
                    <!-- END LANGUAGE BAR -->
            
                    <!-- BEGIN USER LOGIN DROPDOWN -->
                    <!-- DOC: Apply "dropdown-dark" class after below "dropdown-extended" to change the dropdown styte -->
                    <li class="dropdown dropdown-user">
                        <a href="javascript:;" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                            <?php 
                            if($userDetails->profile_picture == ""){
                                $pic = 'default_avatar.jpg';
                            } else {
                                $pic = $userDetails->profile_picture;
                            }
                            ?>
                            <img alt="" class="img-circle" src="<?=base_url('public/images/users/' . $pic)?>" />
                            <span class="username username-hide-on-mobile"> <?=$fullname?> </span>
                            <i class="fa fa-angle-down"></i>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-default">
                            <li>
                                <a href="<?=base_url('account/settings')?>"> <i class="icon-settings"></i> Account Settings </a>
                            </li>
                            <li>
                                <a href="<?=base_url('logout')?>">
                                    <i class="icon-key"></i> Log Out </a>
                            </li>
                        </ul>
                    </li>
                    <!-- END USER LOGIN DROPDOWN -->
                </ul>
            </div>
            <!-- END TOP NAVIGATION MENU -->
        </div>
        <!-- END PAGE TOP -->
    </div>
    <!-- END HEADER INNER -->
</div>

<!-- Modal -->
<div id="gestational_calc" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Gestational Age Calculator</h4>
      </div>
      <div class="modal-body">
        <form role="form" method="post" class="form-horizontal">
        <div class="form-body">
            <div class="form-group">
                <label class="col-md-4 control-label" for="dob">Last Menstrual Period</label>
                <div class="col-md-8">
                    <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd" style="width:100% !important;">
                        <input type="text" class="form-control" id="lmp"  >
                        <span class="input-group-btn">
                            <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
                        </span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">Cycle Length </label>
                <div class="col-md-8">
                    <input type="text" class="form-control" id="cycleLength"> days
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" for="health_card_number"></label>
                <div class="col-md-8">
                    <button type="button" class="btn green-jungle" onclick="calculate()">Calculate</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">Estimated Date of Delivery </label>
                <div class="col-md-8">
                    <input type="text" class="form-control" id="esDate">
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">Gestation (No. of Weeks Pregnant) Today </label>
                <div class="col-md-4">
                    <input type="text" class="form-control" id="weekVal"> weeks
                </div>
                <div class="col-md-4">
                    <input type="text" class="form-control" id="dayVal"> days
                </div>
            </div>
        </div>
        </form>
      </div>
    </div>

  </div>
</div>



<div id="addAppModal" class="modal fade" role="dialog">
<div class="modal-dialog">
<!-- Modal content-->
<form role="form" method="post" id="QuickAddFormAppointment" action="<?=base_url('general/add_appointment')?>">
<select class="form-control hide" name="assgined_doctor" id="assgined_doctor" required>
    <?php 
    if($doctorList) {
        foreach($doctorList as $pl) {
            echo "<option value='".$pl->user_id."' selected>".$pl->firstname.' '.$pl->lastname."</option>";
        }
    }
    ?>
</select>

<div class="modal-content">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title" id="appTitle">Add Appointment (Walk-in)</h4>
  </div>
  <div class="modal-body">  
    <div id="msgerror"></div>

    <div class="form-group pickPatient">
      <label for="usr">Patient </label>
      <div class="input-group">
        <select class="form-control select2 select_dropdown" name="patient_id" id="patient_id" required>
            <option value=""></option>
            <?php 
            if($patientList) {
                foreach($patientList as $pl) {
                    echo "<option value='".$pl->id."'>".$pl->firstname.' '.$pl->lastname."</option>";
                }
            }
            ?>
        </select>
        <span class="input-group-btn">
            <button class="btn default" type="button" style="height:31px !important;" title="Quick Add Patient" onclick="quickAdd()">
                <i class="fa fa-user-plus"></i>
            </button>
        </span>
      </div>
      
    </div>
    <div class="form-group appD hide">
      <label for="dob">Appointment Date</label>
      <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd" data-date-start-date="+0d">
          <input type="text" class="form-control" name="date" value="<?=date('Y-m-d')?>">
          <span class="input-group-btn">
              <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
          </span>
      </div>
    </div>
    <div class="form-group appD hide">
      <label for="appointment_type">Appointment Type</label>
      <select class="form-control select2 select_dropdown" name="appointment_type" id="appointment_type" required>
            <option value=""></option>
            <option value="1">Initial Consult</option>
            <option value="2">Follow Up</option>
        </select>
    </div>
    <div class="form-group appD hide">
      <label for="pwd">Appointment Comments</label>
      <textarea class="form-control" name="appointment_reason" rows="8"></textarea>
    </div>
    <div class="appNP hide" style="margin-bottom:20px;"><span class="requiredField">*</span> = required fields</div>
    <div class="form-group appNP hide">
      <label for="firstname">First Name  <span class="requiredField">*</span></label>
      <input type="text" name="firstname" id="quick_firstname" class="form-control">
      <input type="hidden" id="quick_cmid" name="cmid" value="<?=$autocmid?>">
    </div>
    <div class="form-group appNP hide">
      <label for="lastname">Last Name  <span class="requiredField">*</span></label>
      <input type="text" name="lastname" id="quick_lastname" class="form-control">
    </div>
    <div class="form-group appNP hide">
      <label for="phone_number">LMP  <span class="requiredField">*</span></label>
      <input type="text" name="phone_number" id="quick_phone" class="form-control">
    </div>
     <div class="form-group appNP hide">
      <label for="phone_number">Home Address  <span class="requiredField">*</span></label>
      <textarea class="form-control" id="quick_address" name="home_address" rows="4"></textarea>
    </div>
  </div>
  <div class="modal-footer">
    <button type="submit" class="btn green-jungle btnSaveApp appD hide" name="btnsubmit">Save Appointment</button>
    <button type="button" class="btn btn-default appD" data-dismiss="modal">Close</button>

    <button type="button" class="btn green-jungle appNP hide" id="btnQuickPatient">Save Patient</button>
    <button type="button" class="btn btn-danger appNP hide" id="btnquick_cancel">Cancel</button>
  </div>
</div>
</form>
</div>
</div>


<div id="editAppModal" class="modal fade modalAppointment" role="dialog">
<div class="modal-dialog">
<!-- Modal content-->
<form role="form" method="post" class="formaction" id="QuickEditFormAppointment" action="<?=base_url('general/edit_appointment')?>">
<input type="hidden" id="patient_id_edit" name="patient_id">
<input type="hidden" name="appointment_id" id="appointment_id_edit">
<div class="modal-content">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title" id="EditApp">Edit Appointment for <span id="editFor"></span></h4>
  </div>
  <div class="modal-body">  
  
    <div id="msgerror"></div>
    <div class="form-group">
      <label for="dob">Appointment Date</label>
      <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd" data-date-start-date="+0d">
          <input type="text" class="form-control" name="date" id="start_date_edit" value="<?=date('Y-m-d')?>">
          <span class="input-group-btn">
              <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
          </span>
      </div>
    </div>
    <div class="form-group">
      <label for="appointment_type">Appointment Type</label>
      <select class="form-control select2" name="appointment_type" id="appointment_type_edit" required>
            <option value=""></option>
            <option value="1">Initial Consult</option>
            <option value="2">Follow Up</option>
        </select>
    </div>
    <div class="form-group">
      <label for="pwd">Appointment Comments</label>
      <textarea class="form-control" id="appointment_reason_edit" name="appointment_reason" rows="11"></textarea>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn green-haze" onclick="viewPatient()">View Patient</button>
    <button type="button" class="btn green-haki" onclick="doneAppEdit()">Mark as Done</button>
    <button type="button" class="btn red" onclick="deleteAppEdit()">Delete</button>
    <button type="submit" class="btn green-jungle btnSaveApp" name="btnsubmit">Save</button>
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
  </div>
</div>
</form>
</div>
</div>