<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form role="form" method="post" class="formaction form-horizontal" action="<?=base_url('manage_group/add')?>">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$page_title?></span>
                        </div>
                        <div class="actions">
                        <button type="submit" class="btn blue-madison btnsubmit" name="btnsubmit"><i class="fa fa-plus"></i> <?=$this->lang->line('manage_group_savebtn')?></button>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <div class="form-group">
                                <label class="col-md-2 control-label" for="group_name"><?=$this->lang->line('manage_group_lblgroupname')?> <span class="requiredField">*</span></label>
                                <div class="col-md-6">
                                    <input type="text" class="form-control" id="group_name" name="group_name" required tabindex="1" autofocus>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label" for="group_desc"><?=$this->lang->line('manage_group_lblgroupdesc')?> <span class="requiredField">*</span></label>
                                <div class="col-md-6">
                                    <input type="text" class="form-control" id="group_desc" name="group_desc" required tabindex="2">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$this->lang->line('manage_group_lblprivileges')?></span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                                <div class="row">
                                    <div class="col-md-12">
                                        <?php 
                                        if ($mainMenus) {
                                        ?>
                                        <div class="panel-group accordion" id="accordion3">
                                            <?php 
                                            $count = 0;
                                            foreach($mainMenus as $parentmenus) {
                                                $count++;
                                            ?>
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h4 class="panel-title">
                                                        <a class="accordion-toggle accordion-toggle-styled" data-toggle="collapse" data-parent="#accordion3" href="#collapse_3_<?=$count?>">  <i class="<?=$parentmenus->menu_icon?>"></i> <?=$this->lang->line($parentmenus->menu_name)?> </a>
                                                    </h4>
                                                </div>
                                                <div id="collapse_3_<?=$count?>" class="panel-collapse <?=($count == 1) ? "in" : "collapse"?>">
                                                    <div class="panel-body">
                                                        <?php 
                                                        $rsChildMenu = $this->general_model->getChildMenus($parentmenus->menu_id, FALSE);

                                                        if($rsChildMenu) {
                                                        ?>
                                                        <div class="row">
                                                            <?php 
                                                            foreach($rsChildMenu as $childmens) {
                                                                $rsMenuActions = $this->general_model->getMenuActions($childmens->menu_id);
                                                            ?>
                                                            <div class="col-md-3">

                                                                <div class="panel panel-default">
                                                                    <div class="panel-heading" style="padding:10px !important;"> 
                                                                    <div class="md-checkbox-list">
                                                                        <div class="md-checkbox">
                                                                            <input type="checkbox" id="checkboxall<?=$childmens->menu_id?>" name="modules[]" value="<?=$childmens->menu_id?>" class="md-check" onclick="checkAllPermission(this, '<?=$childmens->menu_id?>')">
                                                                            <label for="checkboxall<?=$childmens->menu_id?>"><span></span>
                                                                                <span class="check"></span>
                                                                                <span class="box"></span> <?=$this->lang->line($childmens->menu_name)?>  </label>
                                                                        </div>
                                                                    </div>
                                                                    
                                                                    </div>
                                                                    <div class="panel-body"> 

                                                                        <?php if($rsMenuActions) {?>
                                                                        <div class="md-checkbox-list">
                                                                            <?php 
                                                                            foreach($rsMenuActions as $menuactions) {
                                                                            ?>  
                                                                            <div class="md-checkbox">
                                                                                <input type="checkbox" id="checkbox<?=$menuactions->permission_id?>" value="<?=$menuactions->permission_id?>" name="permissions[]" class="md-check chkPermissionName<?=$childmens->menu_id?> chkPermission<?=$childmens->menu_id?>" onclick="isCheckAll(this, '<?=$childmens->menu_id?>')">
                                                                                <label for="checkbox<?=$menuactions->permission_id?>"><span></span>
                                                                                    <span class="check"></span>
                                                                                    <span class="box"></span> <?=ucfirst($menuactions->permission_name)?> </label>
                                                                            </div>
                                                                            <?php }?>
                                                                        </div>
                                                                        <?php }?>
                                                                    </div>
                                                                </div>

                                                            </div>
                                                            <?php } ?>
                                                        </div>
                                                        <?php } ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php }?>
                                        </div>
                                        <?php }?>
                                    </div>  
                                </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>