<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form role="form" method="post" class="formaction form-horizontal" action="<?=base_url('manage_patients/add')?>">
                <input type="hidden" name="gender" value="Female">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-green-jungle hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase"><?=$this->lang->line('manage_users_personal')?></span>
                        </div>
                        <div class="actions">
                        <button type="submit" class="btn green-jungle btnsubmit" name="btnsubmit"><i class="fa fa-plus"></i> <?=$this->lang->line('manage_users_savebtn')?></button>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                        <span class="requiredField">*</span> = required fields
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="firstname">First Name <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="firstname" name="firstname" tabindex="1" required autofocus>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="middlename">Middle Name </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="middlename" name="middlename" tabindex="2">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="lastname">Last Name <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="lastname" name="lastname" tabindex="2" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="email_address">Home Address <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="home_address" name="home_address" rows="4"></textarea>
                                        </div>
                                    </div>
                                    
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group hide">
                                        <label class="col-md-3 control-label" for="cmid">CMID </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="cmid" name="cmid" value="<?=$autocmid?>" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="email_address">Email Address </label>
                                        <div class="col-md-9">
                                            <input type="email" class="form-control" id="email_address" name="email_address">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="health_card_number">Health Card Number </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="health_card_number" name="health_card_number">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="dob">Date of Birth <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd">
                                                <input type="text" class="form-control" name="dob" >
                                                <span class="input-group-btn">
                                                    <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="phone_number">Last Men's Period <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="phone_number" name="phone_number" required>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-green-jungle hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase">Patient Record</span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="weight">Weight </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="weight" name="weight">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="bp">Blood Pressure </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="bp" name="bp">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="temp">Body Temperature </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="temp" name="temp">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="age_gestation">Age of gestation </label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="age_gestation" name="age_gestation">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="fetal_heart_beat">Fetal heart beat/presentation/est. fetal wt </label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="fetal_heart_beat" name="fetal_heart_beat" rows="4"></textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="chief_complain">Chief complain </label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="chief_complain" name="chief_complain" rows="4"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="internal_exam">Internal Exam </label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="internal_exam" name="internal_exam" rows="4"></textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="lab_results">Lab results </label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="lab_results" name="lab_results" rows="4"></textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="comments">Comments </label>
                                        <div class="col-md-9">
                                            <textarea class="form-control" id="comments" name="comments" rows="4"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-green-jungle hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase">Notes</span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <textarea rows="6" class="form-control" id="notes" name="notes"></textarea>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>