<table class="table table-bordered table-striped table-hover table-condensed">
<thead>
	<tr>
		<th>Appointment Date</th>
		<th>Time</th>
		<th>Doctor Assigned</th>
		<th>Type</th>
		<th>Remarks</th>
		<th>Date Created</th>
	</tr>
</thead>
<tbody>
	<?php foreach($patients_appointments as $pa){?>
	<tr>
		<td><?=date('F d, Y', strtotime($pa->start_date))?></td>
		<td><?=date('h:i A', strtotime($pa->start_date))?></td>
		<td><?='Dr. '.$pa->firstname.' '.$pa->lastname?></td>
		<td>
			<?php 
			if($pa->appointment_type == '1'){
				echo 'Initial Consult';
			} else if($pa->appointment_type == '2'){
				echo 'Follow Up';
			} else if($pa->appointment_type == '3'){
				echo 'Proposed';
			}
			?>
		</td>
		<td><?=$pa->appointment_reason?></td>
		<td><?=date('M/d/Y h:i A', strtotime($pa->date_created))?></td>
	</tr>
	<?php }?>
</tbody>
</table>