<div class="row">
    <div class="col-md-6">
        <div class="col-md-2">
            <a href="javascript:;" class="thumbnail">
            <?php 
            if(!empty($user_details->profile_picture)) {
                $filename = $user_details->profile_picture;
                $targetfile = pathinfo($filename,PATHINFO_FILENAME);
                $fileType = pathinfo($filename,PATHINFO_EXTENSION);
                $thumbprofile = $targetfile.'_thumb.'.$fileType;
            } else {
                $thumbprofile = "default_avatar.jpg";
            }

            if($user_details->nStatus == 1) {
                $checkStatus = "Active";
                $label = "success";
            } else if($user_details->nStatus == 0) {
                $checkStatus = "InActive";
                $label = "danger";
            } else {
                $checkStatus = "Unknown";
                $label = "default";
            }
            
            ?>
            <img src="<?=base_url('public/images/users/' . $thumbprofile)?>" alt="<?=$user_details->firstname.' '.$user_details->lastname?>" style="display: block;"> </a>
        </div>
        <div class="col-md-10">
            <div class="row">
                <div class="fa-item col-md-10">
                    <i class="fa fa-user"></i> <?=$user_details->firstname.' '.$user_details->lastname?></div>
                <div class="fa-item col-md-10">
                    <i class="fa fa-buysellads"></i> <?=(!empty($user_details->email)) ? "<a href='mailto:".$user_details->email."'>".$user_details->email."</a>" : "-"?></div>
                <div class="fa-item col-md-10">
                <span class='badge badge-<?=$label?>' style='width:80px !important;'><?=strtoupper($checkStatus)?></span>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <h4><?=$this->lang->line('manage_users_personal')?></h4>
        <div class="table-responsive">
            <table class="table table-bordered">
                <tr>
                    <th class="active" style="width:20%"><?=$this->lang->line('manage_users_lblfullname')?></th>
                    <td style="width:30%"><?=$user_details->firstname.' '.$user_details->lastname?></td>
                    <th class="active" style="width:20%"><?=$this->lang->line('manage_users_lbldepartment')?></th>
                    <td style="width:30%" colspan="3"><?=(!empty($user_details->department_name)) ? $user_details->department_name : "-"?></td>
                </tr>
                <tr>
                    <th class="active" style="width:20%"><?=$this->lang->line('manage_users_lblgroup')?></th>
                    <td style="width:30%"><?=(!empty($user_details->group_name)) ? $user_details->group_name : "-"?></td></td>
                    <th class="active" style="width:20%"><?=$this->lang->line('manage_users_lbldesignation')?></th>
                    <td style="width:30%"><?=(!empty($user_details->designation_name)) ? $user_details->designation_name : "-"?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <h4><?=$this->lang->line('manage_users_contact')?></h4>
        <div class="table-responsive">
            <table class="table table-bordered">
                <tr>
                    <th class="active" style="width:20%"><?=$this->lang->line('manage_users_lblemail')?></th>
                    <td style="width:80%"><?=(!empty($user_details->email)) ? "<a href='mailto:".$user_details->email."'>".$user_details->email."</a>" : "-"?></td>
                </tr>
                <tr>
                    <th class="active" style="width:20%"><?=$this->lang->line('manage_users_lblcontact')?></th>
                    <td style="width:80%"><?=(!empty($user_details->phone)) ? $user_details->phone : "-"?></td>
                </tr>
            </table>
        </div>
    </div>
</div>

<?php  require_once(APPPATH.'views/user_log.php'); ?>