<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$page_sub_title?></span>
                        </div>
                        <div class="actions">
                            <div class="btn-group">
                                <button type="button" class="btn blue btn-outline">Options</button>
                                <button type="button" class="btn blue btn-outline dropdown-toggle" data-toggle="dropdown">
                                    <i class="fa fa-angle-down"></i>
                                </button>
                                <ul class="dropdown-menu" role="menu">
                                    <?php if(!$editPermission){?><li><a href="<?=base_url('manage_users/edit/' . $user_details->user_id)?>"><i class="fa fa-edit"></i> <?=$this->lang->line('edit')?> </a></li><?php }?>
                                    <?php if(!$deletePermission){?><li><a href="javascript:;" onclick="quickOptions('delete','users','user_id','manage_users','<?=$user_details->user_id?>');"><i class="fa fa-trash"></i> <?=$this->lang->line('delete')?> </a></li><?php }?>
                                    <?php if(!$deactivatePermission){?><li><a href="javascript:;" onclick="quickOptions('deactivate','users','user_id','manage_users','<?=$user_details->user_id?>');"><i class="fa fa-times"></i> <?=$this->lang->line('deactivate')?> </a></li><?php }?>
                                    <?php if(!$activatePermission){?><li><a href="javascript:;" onclick="quickOptions('activate','users','user_id','manage_users','<?=$user_details->user_id?>');"><i class="fa fa-check"></i> <?=$this->lang->line('activate')?> </a></li><?php }?>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="portlet-body">

                        <div class="tabbable-line">
                            <ul class="nav nav-tabs ">
                                <li class="active">
                                    <a href="#personal-details" data-toggle="tab"> <?=$this->lang->line('manage_users_personal')?> </a>
                                </li>
                                <li>
                                    <a href="#activity-log" data-toggle="tab"> <?=$this->lang->line('manage_users_activity')?>  </a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="personal-details">
                                    <?php require_once(APPPATH.'views/manage_users/user_details.php');?>
                                </div>
                                <div class="tab-pane" id="activity-log">
                                    <?php require_once(APPPATH.'views/manage_users/user_log.php');?>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>