<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title><?php echo $system_title.' - '.$page_title?></title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="" name="description" />
        <meta content="" name="author" />
        
        <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<script>
     (adsbygoogle = window.adsbygoogle || []).push({
          google_ad_client: "ca-pub-3182624105910612",
          enable_page_level_ads: true
     });
</script>

        <!-- BEGIN GLOBAL MANDATORY STYLES -->
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/')?>bootstrap-switch/css/bootstrap-switch.min.css" rel="stylesheet" type="text/css" />
        <!-- END GLOBAL MANDATORY STYLES -->

        <link href="<?=base_url('public/assets/plugins/')?>bootstrap-toastr/toastr.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/css/custom.css')?>" rel="stylesheet" type="text/css" />

        <!-- BEGIN PAGE LEVEL PLUGINS -->
        <?php 
        if ($css) {
            foreach($css as $cssFiles) {
                $mediaCss = '';
                if($cssFiles == base_url("public/assets/fullcalendar/lib/fullcalendar.print.min.css")){
                    $mediaCss = "media='print'";
                }
                echo '<link href="'.$cssFiles.'" rel="stylesheet" '.$mediaCss.'/>';
            }
        }
        ?>

        <link href="<?=base_url('public/assets/plugins/select2/css/select2.min.css')?>" rel="stylesheet" id="style_components" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/select2/css/select2-bootstrap.min.css')?>" rel="stylesheet" id="style_components" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/bootstrap-timepicker/css/bootstrap-timepicker.min.css')?>" rel="stylesheet" id="style_components" type="text/css" />
        <link href="<?=base_url('public/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css')?>" rel="stylesheet" id="style_components" type="text/css" />

        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL STYLES -->
        <link href="<?=base_url('public/assets/css/')?>components-md.min.css" rel="stylesheet" id="style_components" type="text/css" />
        <link href="<?=base_url('public/assets/css/')?>plugins-md.min.css" rel="stylesheet" type="text/css" />
        <!-- END THEME GLOBAL STYLES -->
        <!-- BEGIN THEME LAYOUT STYLES -->
        <link href="<?=base_url('public/assets/css/')?>layout.min.css" rel="stylesheet" type="text/css" />
        <link href="<?=base_url('public/assets/css/')?>themes/<?=$theme?>.min.css" rel="stylesheet" type="text/css" id="style_color" />
        <link href="<?=base_url('public/assets/css/')?>custom.min.css" rel="stylesheet" type="text/css" />
        <!-- END THEME LAYOUT STYLES -->
        <link rel="shortcut icon" href="<?=base_url('public/images/f.png')?>" /> </head>
    <!-- END HEAD -->

    <body class="page-header-fixed page-sidebar-closed-hide-logo page-container-bg-solid <?=($this->session->userdata('pageclosed')) ? 'page-sidebar-closed': 'page-md'?>">
        <!-- BEGIN HEADER -->
        <?php require_once(APPPATH.'views/header.php');?>
        <!-- END HEADER -->
        <!-- BEGIN HEADER & CONTENT DIVIDER -->
        <div class="clearfix"> </div>
        <!-- END HEADER & CONTENT DIVIDER -->
        <!-- BEGIN CONTAINER -->
        <div class="page-container">
            <!-- BEGIN SIDEBAR -->
            <?php require_once(APPPATH.'views/sidebar.php');?>
            <!-- END SIDEBAR -->
            <!-- BEGIN CONTENT -->
            <?php require_once(APPPATH.'views' . $file);?>
            <!-- END CONTENT -->
        </div>
        <!-- END CONTAINER -->
        <!-- BEGIN FOOTER -->
        <input type="hidden" value="<?=base_url()?>" id="base_url">
        <input type="hidden" value="<?=$currency?>" id="currency_symbol">
        <?php require_once(APPPATH.'views/footer.php');?>
        <div id="responsive" class="modal fade bs-modal-lg" tabindex="-1" aria-hidden="true" data-backdrop="static" data-keyboard="false">

        
        
        
        <!-- END FOOTER -->
        <!-- BEGIN CORE PLUGINS -->
        <script src="<?=base_url('public/assets/js/')?>jquery.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>js.cookie.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>jquery.blockui.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-switch/js/bootstrap-switch.min.js" type="text/javascript"></script>
        
        <!-- END CORE PLUGINS -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        <?php 
        if ($js) {
            foreach($js as $jsFiles) {
                echo '<script src="'.$jsFiles.'" type="text/javascript"></script>';
            }
        }
        ?>

        <script src="<?=base_url('public/assets/fullcalendar/lib/moment.min.js')?>" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/select2/js/select2.full.min.js')?>" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/bootstrap-timepicker/js/bootstrap-timepicker.min.js')?>" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')?>" type="text/javascript"></script>

        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL SCRIPTS -->
        <script src="<?=base_url('public/assets/js/app.min.js')?>" type="text/javascript"></script>

        <?php 
        if ($jsextend) {
            foreach($jsextend as $jsextendFiles) {
                echo '<script src="'.$jsextendFiles.'" type="text/javascript"></script>';
            }
        }
        ?>

        <script src="<?=base_url('public/assets/js/components-select2.min.js')?>" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/components-date-time-pickers.min.js')?>" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/components-date-time-pickers.min.js')?>" type="text/javascript"></script>
        
        <script src="<?=base_url('public/assets/plugins/')?>bootstrap-toastr/toastr.min.js" type="text/javascript"></script>
        
        <!-- END THEME GLOBAL SCRIPTS -->
        <!-- BEGIN THEME LAYOUT SCRIPTS -->
        <script src="<?=base_url('public/assets/js/')?>layout.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>demo.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>quick-sidebar.min.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>general.js" type="text/javascript"></script>
        <script src="<?=base_url('public/assets/js/')?>app/formsubmit_quickform.js" type="text/javascript"></script>

        <script type="text/javascript">
        jQuery(document).ready(function() {
            <?php if(isset($dt["datatable"]) AND $dt["datatable"] === TRUE) {?>
            TableDatatablesAjax.init('<?=$dt["path"]?>','<?=$dt["sort"]["0"]?>','<?=$dt["sort"]["1"]?>');
            <?php }?>
        });
        </script>

        


        <!-- END THEME LAYOUT SCRIPTS -->
    </body>

</html>