<html>
<head>
<title>PDF</title>
<style type="text/css">
html{
	margin-top:5px;
	font-family:'PT Sans Narrow', sans-serif;
	font-size: 13px;
}
body{
	margin-top:5px;
    font-family:'PT Sans Narrow', sans-serif;
    font-size: 13px;
}
</style>
</head>
<body>
<div style="float:right;">
	<img src="<?=base_url('public/images/1.png')?>" style="width:100%; height:120px;">
</div>
<div style="position:absolute; margin-top:10px;">
	<h2><u>Medical Document</u></h2>
<p style="font-style:italic;">
This document is completed by the applicant's authorized health care practitioner as defined in the Access to Cannabis for
Medical Purposes Regulations (ACMPR). An authorized health care practitioner includes physicians in all provinces and
territories, and nurse practitioners in provinces and territories where prescribing cannabis for medical purposes is
permitted under their scope of practice. In order to be eligible to provide a medical document, the health care practitioner
must have the applicant for the medical document under their professional treatment.
</p>

<table border="1" style="width:100%; border:1px solid #000; border-collapse:collapse;" cellpadding="2" cellspacing="2">
<tr>
	<td width="50%">Patient's Given Name and Surname:</td>
	<td width="50%"><?=$rsDetails->firstname.' '.$rsDetails->lastname?></td>
</tr>
<tr>
	<td width="50%">Patient's Date of Birth (DD/MMM/YYYY)</td>
	<td width="50%"><?=date('d/m/Y', strtotime($rsDetails->dob))?></td>
</tr>
<tr>
	<td width="50%">Daily Quantity of Cannabis to be Used </td>
	<td width="50%"><?=$rsDetails->quantity?> Gram(s)/day</td>
</tr>
<tr>
	<td width="50%">The Period of Use is </td>
	<td width="50%"><?=$rsDetails->period_use?> month<?=($rsDetails->period_use > 1) ? 's' : ''?></td>
</tr>
<tr>
	<td width="50%">Diagnosis Comments</td>
	<td width="50%"><?=$rsDetails->diagnosis_comments?></td>
</tr>
<tr>
	<td width="50%">Recommendations (optional)</td>
	<td width="50%"></td>
</tr>
<tr>
	<td width="50%">&nbsp;&nbsp;&nbsp;&nbsp;THC %</td>
	<td width="50%"><?=$rsDetails->thc?></td>
</tr>
<tr>
	<td width="50%">&nbsp;&nbsp;&nbsp;&nbsp;CBD %</td>
	<td width="50%"><?=$rsDetails->cbd?></td>
</tr>
<tr>
	<td width="50%">Restrictions</td>
	<td width="50%"><?=$rsDetails->restrictions?></td>
</tr>
</table>
<br />
<p>
Applicant can possess a maximum of 150g or 30 times their daily amount, whichever is less. Under the Access to Cannabis for Medical Purposes Regulations (ACMPR), maximum authorization is a period of 12 months and begins the day the Medical Document is signed by the health care practitioner.
</p>

<table border="1" style="width:100%; border:1px solid #000; border-collapse:collapse;" cellpadding="2" cellspacing="2">
<tr>
	<td width="50%">Health Care Practitioner's Given Name and Surname</td>
	<td width="50%">Dr. <?=$rsDetails->dcfname.' '.$rsDetails->dclname?></td>
</tr>
<tr>
	<td width="50%">Profession</td>
	<td width="50%">Medical Doctor</td>
</tr>
<tr>
	<td width="50%">Health Care Practitioner's Business Address </td>
	<td width="50%"><?=$rsDetails->hc_business_address?></td>
</tr>
<tr>
	<td width="50%">Full business address of the location at which the
patient consulted with the health care practitioner
(if different than above)</td>
	<td width="50%"><?=$rsDetails->full_business_address?></td>
</tr>
<tr>
	<td width="50%">Phone Number</td>
	<td width="50%"><?=$rsDetails->phone?></td>
</tr>
<tr>
	<td width="50%">Province(s) Authorized to Practice In</td>
	<td width="50%"><?=$rsDetails->province_authorize?></td>
</tr>
<tr>
	<td width="50%">Health Care Practitioner's License Number</td>
	<td width="50%"><?=$rsDetails->hc_license_number?></td>
</tr>
<tr>
	<td width="50%">Fax Number (if applicable)</td>
	<td width="50%"><?=$rsDetails->fax_number?></td>
</tr>
<tr>
	<td width="50%">Email Address (if applicable)</td>
	<td width="50%"><?=$rsDetails->email?></td>
</tr>
</table>
<br />
<p>
	By signing this document, the health care practitioner is attesting that the information contained in this
document is correct and complete. I acknowledge that the Medical Document submitted via secure fax is now
the original Medical Document and that I have retained a digital copy of this document for my records only. 
</p>

<table border="1" style="width:100%; border:1px solid #000; border-collapse:collapse;" cellpadding="2" cellspacing="2">
<tr>
	<td width="50%">Health Care Practitioner's Signature</td>
	<td width="50%"><?php if($rsDetails->signature != ""){?><img src="<?=base_url('public/images/signatures/' . $rsDetails->signature)?>"><?php }?></td>
</tr>
<tr>
	<td width="50%">Date Signed (DD/MM/YYYY)</td>
	<td width="50%"><?=date('d/m/Y',strtotime($rsDetails->date_created))?></td>
</tr>
</table>
<br />
<p>
I, the health care practitioner, acknowledge that the faxed Medical Document is now the original medical
document and that I have retained a copy of this document for my records only. 
</p>

<table border="1" style="width:50%; border:1px solid #000; border-collapse:collapse;" cellpadding="2" cellspacing="2">
<tr>
	<td width="25%">Initial Here:</td>
	<td width="25%"> <?=ucwords(substr($rsDetails->dcfname,0,1)).'.'.ucwords(substr($rsDetails->dclname,0,1)).'.';?></td>
</tr>
</table>
<br /><br />
<img src="<?=base_url('public/images/2.png')?>" style="width:100%;">
</div>
</body>
</html>