<!-- BEGIN DISCOUNT MODAL -->
<div id="modal_discount" class="modal fade" role="dialog">
  <form class="form-horizontal" role="form" id="modalDiscount">

  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Set Discount</h4>
      </div>
      <div class="modal-body">
        <div class="form-body">
            <input type="hidden" name="id" id="row_id">
            <div class="form-group">
                <label class="col-md-3 control-label">Type</label>
                <div class="col-md-9">
                    <select name="discountType" id="discountType" class="form-control">
                        <option value="zero">Zero Discount</option>
                        <option value="percent">%of Price</option>
                        <option value="direct">Direct Price Reduction</option>
                    </select>
                </div>
            </div>
            <div class="form-group hide" id="discountValue">
                <label class="col-md-3 control-label">Value</label>
                <div class="col-md-9">
                    <input type="text" name="value_discount" id="value_discount" class="form-control">
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn blue-madison" id="btnsubmit_discount"><i class="fa fa-plus"></i> Save</button>
        <button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i> Close</button>
      </div>
    </div>
  </div>
  </form>
</div>
<!-- END DISCOUNT MODAL -->

<div class="page-sidebar-wrapper">
    <!-- BEGIN SIDEBAR -->
    <div class="page-sidebar navbar-collapse collapse">
        <!-- BEGIN SIDEBAR MENU -->
        <ul class="page-sidebar-menu  page-header-fixed page-sidebar-menu-compact <?=($this->session->userdata('pageclosed')) ? 'page-sidebar-menu-closed' : ''?>" data-keep-expanded="false" data-auto-scroll="true" data-slide-speed="200">
            
            <li class="nav start <?=($this->session->userdata('parent_id') == 'dashboard') ? "active open" : ''?>">
                <a href="<?=base_url('dashboard')?>" class="nav-link nav-toggle">
                    <i class="fa fa-dashboard"></i>
                    <span class="title"><?=$this->lang->line('dashboard')?></span>
                    <span></span>
                </a>
            </li>
            <?php 

            $sidebar_menus = '';


            if ($parent_menus) 
            {
                $ci_obj = & get_instance();
                $ci_obj->load->model('general_model');

                foreach($parent_menus as $parentmenus) 
                {
                    if($parentmenus->menu_id == $this->session->userdata('parent_id')) 
                    {
                        $parent_active = " active open ";
                        $parent_active_arrow_open = "open";
                        $parent_active_selected = '<span class="selected"></span>';
                    } else {
                        $parent_active = '';
                        $parent_active_arrow_open = '';
                        $parent_active_selected = '';
                    }

                    $rsChildMenu = $this->general_model->getChildMenus($parentmenus->menu_id);
                    $classnav = ($rsChildMenu) ? "nav-item" : "nav";
                    $arrownav = ($rsChildMenu) ? $parent_active_selected . '<span class="arrow ' . $parent_active_arrow_open . '"></span>' : "";

                    $sidebar_menus .= '<li class="'.$classnav . $parent_active . '">';
                    $sidebar_menus .= ' <a href="javascript:;" class="nav-link nav-toggle">';
                    $sidebar_menus .= '     <i class="' . $parentmenus->menu_icon. '"></i>&nbsp;<span class="title">' . $this->lang->line($parentmenus->menu_name) . '</span>' . $arrownav;
                    $sidebar_menus .= ' </a>';
                    if ($rsChildMenu) 
                    {   
                        $sidebar_menus .= ' <ul class="sub-menu">';
                        foreach($rsChildMenu as $childmens) 
                        {
                            if($childmens->menu_id == $this->session->userdata('menu_id')) 
                            {
                                $submenu_active = " active open ";
                                $submenu_active_selected = '<span class="selected"></span>';
                            } else {
                                $submenu_active = '';
                                $submenu_active_selected = '';
                            }

                            $sidebar_menus .= '     <li class="nav-item ' . $submenu_active . '">';
                            $sidebar_menus .= '         <a href="'.base_url($childmens->menu_link).'" class="nav-link ">';
                            $sidebar_menus .= '         <span class="title">'.$this->lang->line($childmens->menu_name) .'</span>' . $submenu_active_selected;
                            $sidebar_menus .= '         </a>';
                            $sidebar_menus .= '     </li>';
                        }
                        $sidebar_menus .= ' </ul>';
                    }
                    $sidebar_menus .=  '</li>';
                }
            }

            echo $sidebar_menus;
            ?>
        </ul>
        <!-- END SIDEBAR MENU -->
    </div>
    <!-- END SIDEBAR -->
</div>