<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <!-- BEGIN PAGE TITLE -->
            <div class="page-title">
                <h1><?=$page_title?>
                    <small><?=$page_sub_title?></small>
                </h1>
            </div>
            <!-- END PAGE TITLE -->
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE BASE CONTENT -->

        <div id="modalParam" class="modal fade bs-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Modal title</h4>
                    </div>
                    <div class="modal-body">
                        
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$page_title?></span>
                        </div>
                    </div>
                    <div class="portlet-body">

                        <p><?=$this->lang->line('manage_params')?></p>
                        <?php 
                        $ci_obj = & get_instance();
                        $ci_obj->load->model('sys_param_model');
                        ?>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="panel-group accordion" id="accordion3">
                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <h4 class="panel-title">
                                                <a class="accordion-toggle accordion-toggle-styled collapsed" data-toggle="collapse" data-parent="#accordion3" href="#collapse_3_2"> <?=$this->lang->line('general_params')?> </a>
                                            </h4>
                                        </div>
                                        <div id="collapse_3_2" class="panel-collapse collapse in">
                                            <div class="panel-body">
                                                <p><?=$this->lang->line('general_params_desc')?></p>
                                                <div class="list-group">
                                                    <?php 
                                                    foreach($general_params as $rsparams) {
                                                        $count_general = $this->sys_param_model->countParam($rsparams->code);
                                                    ?>
                                                    <a href="#modalParam" class="list-group-item paramList" data-id="<?=$rsparams->code?>" data-link="<?=base_url('system_parameters/listParam/')?>" role="button" data-toggle="modal"> <?=str_replace("_", " ", $rsparams->code)?><span class="badge badge-primary"> <?=$count_general?> </span></a>
                                                    <?php }?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>
