$('#frmProfile').on('submit', function(e){
    e.preventDefault();
    
    var formdata = $(this).serialize();
    var url = $(this).attr("action");
    var messageDiv = $(this).find(".message");
    var t = $('#btnprofilesave');

    $.ajax(url, {
        method: "POST",
        data: formdata,
        beforeSend: function(){
            t.button("loading");
        }
    }).done(function (result, status) {
        t.button("reset");
        if (result.success) {
            showErrorMessage(messageDiv, result.message, "success");
            setTimeout(function(){ window.location.reload(); }, 1500);
        } else {
            showErrorMessage(messageDiv, result.message, "danger");
        }
    }).fail(function (xhr, textStatus, errorThrown) {
        t.button("reset");
        showErrorMessage(messageDiv, "An unexpected error occured", "danger");
    });

});

$('#frmUploadPic').on('submit', function(e){
    e.preventDefault();
    
    var form = $(this)[0];
    var formdata = new FormData(form);
    var url = $(this).attr("action");
    var messageDiv = $(this).find(".msg_upload");
    var t = $('#btnprofileupload');

    $.ajax(url, {
        method: "POST",
        data: formdata,
        contentType: false,
        processData: false,
        beforeSend: function(){
            t.button("loading");
        }
    }).done(function (result, status) {
        t.button("reset");
        if (result.success) {
            showErrorMessage(messageDiv, result.message, "success");
            setTimeout(function(){ window.location.reload(); }, 1500);
        } else {
            showErrorMessage(messageDiv, result.message, "danger");
        }
    }).fail(function (xhr, textStatus, errorThrown) {
        t.button("reset");
        showErrorMessage(messageDiv, "An unexpected error occured", "danger");
    });

});

$('#frmpwd').on('submit', function(e){
    e.preventDefault();
    
    var formdata = $(this).serialize();
    var url = $(this).attr("action");
    var messageDiv = $(this).find(".msg_pwd");
    var t = $('#btnchangepwd');

    $.ajax(url, {
        method: "POST",
        data: formdata,
        beforeSend: function(){
            t.button("loading");
        }
    }).done(function (result, status) {
        t.button("reset");
        if (result.success) {
            showErrorMessage(messageDiv, result.message, "success");
        } else {
            showErrorMessage(messageDiv, result.message, "danger");
        }
    }).fail(function (xhr, textStatus, errorThrown) {
        t.button("reset");
        showErrorMessage(messageDiv, "An unexpected error occured", "danger");
    });

});


