var FormAction = function(source) {

	var action = function(source) {
		var form = $(source)[0];
        var formdata = new FormData(form);
	    var url = $(source).attr("action");
	    var t = $('.btnsubmit');

	    $.ajax(url, {
	        method: "POST",
	        data: formdata,
	        contentType: false,
            processData: false,
	        beforeSend: function(){
	        	if(url != base_url + 'appointments/add_appointment' && url != base_url + 'appointments/edit_appointment'){
	        		t.button("loading");
	        	}
	        }
	    }).done(function (result, status) {
	    	if(url != base_url + 'appointments/add_appointment' && url != base_url + 'appointments/edit_appointment'){
	        	t.button("reset");
	    	}
	        toastr.clear();
	        if (result.success) {
	            toastNotification("SUCCESS", result.message, "success");
	            if(result.formaction == 'reset') {
	            	location.reload();
	            } else if(result.formaction == 'redirect') {
	            	setTimeout(function(){ window.location.href=base_url + 'manage_subcategory/edit/' + result.last_id; }, 500);
	            } else if(result.formaction == 'add_appointment' || result.formaction == 'edit_appointment') {
	            	// setTimeout(function(){ window.location.href=base_url + 'appointments'; }, 500);
				    if(result.formaction == "add_appointment") {
				    	document.getElementById('AddFormAppointment').reset();
				    	$("#patient_id").select2("val", "");
				    	$("#appointment_type").select2("val", "");
				    	$("#duration").select2("val", "");
				    	$('.appD').addClass('hide');
					    $('#addAppModal').modal('hide');
					    $('#calendar').fullCalendar('refetchEvents');
				    }

				    if(result.formaction == "edit_appointment") {
				    	document.getElementById('EditFormAppointment').reset();
				    	$("#appointment_type_edit").select2("val", "");
				    	$("#duration_edit").select2("val", "");
					    $('#editAppModal').modal('hide');
					    $('#calendar').fullCalendar('refetchEvents');
				    }
				    
	            } else if(result.formaction == 'patient_medical') {
	            	loadMedicalDocs();
	            	$('#myModal').modal('hide');
	            	$('#patient_medical')[0].reset();
	            } else if(result.formaction == 'patient_medical_edit') {
	            	loadMedicalDocs();
	            	$('#myModaledit').modal('hide');
	            	$('#patient_medical_edit')[0].reset();
	            } else if(result.formaction == 'view_patient') {
	            	setTimeout(function(){ window.location.href=base_url + 'manage_patients/view/' + result.last_id; }, 500);
	            }
	        } else {
	        	if(result.formaction == 'add_appointment' && result.formaction == 'edit_appointment') {
	            	$('#msgerror').html(result.message);
	            }
	            toastNotification("ERROR", result.message, "error");
	        }
	    }).fail(function (xhr, textStatus, errorThrown) {
	    	if(url != base_url + 'appointments/add_appointment' && url != base_url + 'appointments/edit_appointment'){
	        	t.button("reset");
	    	}
	        console.log(textStatus);
	        toastNotification("ERROR", "An unexpected error occured", "error");
	    });
	};
	return {
        init: function(source) {
            action(source)
        }
    }
}();


jQuery(document).ready(function() {
    $('.formaction').on('submit', function(e){
    	e.preventDefault();
    	FormAction.init(this);
    });
});