$('.reset-form').on('submit', function(e){
    e.preventDefault();
    
    var formdata = $(this).serialize();
    var url = $(this).attr("action");
    var messageDiv = $(this).find(".reset-message");
    var t = $('#btn-reset');
    var base_url = $('#base_url').val();

    $.ajax(url, {
        method: "POST",
        data: formdata,
        beforeSend: function(){
            t.button("loading");
        }
    }).done(function (result, status) {
        t.button("reset");
        if (result.success) {
            showErrorMessage(messageDiv, result.message, "success");
            setTimeout(function(){ window.location.href= base_url + 'login'; }, 1500);
        } else {
            showErrorMessage(messageDiv, result.message, "danger");
        }
    }).fail(function (xhr, textStatus, errorThrown) {
        t.button("reset");
        showErrorMessage(messageDiv, "An unexpected error occured", "danger");
    });

});