function datatables()
{
    var a = new Datatable;
    a.init({
        src: $("#datatable_ajax"),
        onSuccess: function(a, e) {},
        onError: function(a) {},
        onDataLoad: function(a) {},
        loadingMessage: "Loading...",
        dataTable: {
            bStateSave: true,
            bServerSide: true,
            bFilter: true,
            lengthMenu: [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"]
            ],
            pageLength: 10,
            ajax: {
                url: base_url + "manage_users/manage"
            },
            order: [
                [1, "asc"]
            ]
        }
    }), a.getTableWrapper().on("click", ".table-group-action-submit", function(e) {
        e.preventDefault();
        var action = $(".table-group-action-input", a.getTableWrapper());
        if (action.val() == "Edit" && a.getSelectedRowsCount() > 0) {
            alert(a.getSelectedRows().toString());
        } else if(action.val() != "" && a.getSelectedRowsCount() > 0) {
            bootbox.confirm("Are you sure you want to <strong>" + action.children("option").filter(":selected").text() +  "</strong> the selected item(s)?", function(result) {
               if(result) {
                   a.setAjaxParam("actionType", "group_action");
                   a.setAjaxParam("actionName", action.val());
                   a.setAjaxParam("id", a.getSelectedRows());
                   a.getDataTable().ajax.reload();
                   a.clearAjaxParams();
               }
            });
        } else if (action.val() == "") {
            App.alert({
                type: "danger",
                icon: "warning",
                message: "Please select an action",
                container: a.getTableWrapper(),
                place: "prepend"
            })
        } else if (a.getSelectedRowsCount() === 0) {
            App.alert({
                type: "danger",
                icon: "warning",
                message: "No record selected",
                container: a.getTableWrapper(),
                place: "prepend"
            })
        }
    });
}