var Login = function() {
    var e = function() {
            $(".login-form").validate({
                errorElement: "span",
                errorClass: "help-block",
                focusInvalid: !1,
                rules: {
                    username: {
                        required: !0
                    },
                    password: {
                        required: !0
                    }
                },
                messages: {
                    username: {
                        required: "Username is required."
                    },
                    password: {
                        required: "Password is required."
                    }
                },
                invalidHandler: function(e, r) {
                    $(".alert-danger", $(".login-form")).show()
                },
                highlight: function(e) {
                    $(e).closest(".form-group").addClass("has-error")
                },
                success: function(e) {
                    e.closest(".form-group").removeClass("has-error"), e.remove()
                },
                errorPlacement: function(e, r) {
                    e.insertAfter(r.closest(".input-icon"))
                },
                submitHandler: function(form) {

                    var formdata = $(form).serialize();
                    var url = $(form).attr("action");
                    var messageDiv = $(form).find(".message");
                    var t = $('#btn-login');

                    $.ajax(url, {
                        method: "POST",
                        data: formdata,
                        beforeSend: function(){
                            t.button("loading");
                        }
                    }).done(function (result, status) {
                        t.button("reset");
                        if (result.success) {
                            showErrorMessage(messageDiv, result.message, "success");
                            setTimeout(function(){ window.location.href='dashboard'; }, 2000);
                            
                        } else {
                            showErrorMessage(messageDiv, result.message, "danger");
                        }
                    }).fail(function (xhr, textStatus, errorThrown) {
                        t.button("reset");
                        showErrorMessage(messageDiv, "An unexpected error occured", "danger");
                    });
                }
            }), $(".login-form input").keypress(function(e) {
                return 13 == e.which ? ($(".login-form").validate().form() && $(".login-form").submit(), !1) : void 0
            })
        },
        r = function() {
            $(".forget-form").validate({
                errorElement: "span",
                errorClass: "help-block",
                focusInvalid: !1,
                rules: {
                    email: {
                        required: !0
                    }
                },
                messages: {
                    email: {
                        required: "Email is required."
                    }
                },
                invalidHandler: function(e, r) {},
                highlight: function(e) {
                    $(e).closest(".form-group").addClass("has-error")
                },
                success: function(e) {
                    e.closest(".form-group").removeClass("has-error"), e.remove()
                },
                errorPlacement: function(e, r) {
                    e.insertAfter(r.closest(".input-icon"))
                },
                submitHandler: function(form) {
                    
                    var formdata = $(form).serialize();
                    var url = $(form).attr("action");
                    var messageDiv = $(form).find(".forgotpwd-message");
                    var t = $('#btn-forgotpwd');

                    $.ajax(url, {
                        method: "POST",
                        data: formdata,
                        beforeSend: function(){
                            t.button("loading");
                        }
                    }).done(function (result, status) {
                        t.button("reset");
                        if (result.success) {
                            showErrorMessage(messageDiv, result.message, "success");
                        } else {
                            showErrorMessage(messageDiv, result.message, "danger");
                        }
                    }).fail(function (xhr, textStatus, errorThrown) {
                        t.button("reset");
                        showErrorMessage(messageDiv, "An unexpected error occured", "danger");
                    });

                }
            }), $(".forget-form input").keypress(function(e) {
                return 13 == e.which ? ($(".forget-form").validate().form() && $(".forget-form").submit(), !1) : void 0
            }), jQuery("#forget-password").click(function() {
                jQuery(".login-form").hide(), jQuery(".forget-form").show()
            }), jQuery("#back-btn").click(function() {
                jQuery(".login-form").show(), jQuery(".forget-form").hide()
            })
        };
    return {
        init: function() {
            e(), r()
        }
    }
}();
jQuery(document).ready(function() {
    Login.init()
});