$(document).ready(function(){

	loadMedicalDocs();
	loadPatientApp();

});

$('#btnviewapp').on('click', function(){
	loadPatientApp();
});

function loadPatientApp()
{
	$.ajax({
		url: base_url + 'manage_patients/getPatientAppointments',
		type: 'post',
		data: {'date_range' : $('#date_range').val(), 'patient_id' : $('#patient_id').val()},
		success: function(data){
			$('#patientApp').html(data);
		}, beforeSend: function(){
			$('#patientApp').html("<br /><img src='"+base_url+"public/images/loading.gif' style='width:100px;'><br />Loading appointments...<br /><br /><br /><br />");
		}
	});
}

function loadMedicalDocs()
{
	var patient_id = $('#patientID').val();
    $.ajax({
        url: "<?=base_url('manage_patients/loadMedicalDocs/')?>" + patient_id,
        success: function(data) {
            $('#medical_records').html(data);
        }, beforeSend: function() {
            $('#medical_records').html("<center><img src='<?=base_url('public/images/loading.gif')?>' style='height:100px;'><br />Please wait...</center>");
        }
    });
}

function edit_record(id)
{
	$.ajax({
		url: base_url + 'manage_patients/getRecord/' + id,
		dataType: 'json',
		success: function(data){
			console.log(data);
			$('#id').val(data.id);
			$('#quantity').val(data.quantity);
			$('#period_use').val(data.period_use);
			$('#diagnosis_comments').val(data.diagnosis_comments);
			$('#thc').val(data.thc);
			$('#cbd').val(data.cbd);
			$('#restrictions').val(data.restrictions);
			$('#myModaledit').modal('show');
		}
	});
}

function delete_record(id)
{
	if(confirm('Are you sure you want to delete this record?'))
	{
		$.ajax({
			url: base_url + 'manage_patients/delete_record/' + id,
			dataType: 'json',
			success: function(data){
				if(data.success){
					loadMedicalDocs()
				} else {
					alert("Their's an error in deleting this record, please try again or contact your system administrator.");
				}
				
			}
		});
	}
}